#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bcma_find_core_unit, "_gpl", "");
KSYMTAB_FUNC(bcma_core_irq, "", "");
KSYMTAB_FUNC(__bcma_driver_register, "_gpl", "");
KSYMTAB_FUNC(bcma_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(bcma_core_is_enabled, "_gpl", "");
KSYMTAB_FUNC(bcma_core_disable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_enable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_set_clockmode, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pll_ctl, "_gpl", "");
KSYMTAB_FUNC(bcma_core_dma_translation, "", "");
KSYMTAB_FUNC(bcma_chipco_get_alp_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_out, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_outen, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_control, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_read, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_write, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_chipctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_regctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_get_bus_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_spuravoid_pllupdate, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_b_mii_write, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pci_power_save, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_up, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_down, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_irq_ctl, "_gpl", "");

SYMBOL_CRC(bcma_find_core_unit, 0x7714a18b, "_gpl");
SYMBOL_CRC(bcma_core_irq, 0x5fe34ca8, "");
SYMBOL_CRC(__bcma_driver_register, 0x4f71af27, "_gpl");
SYMBOL_CRC(bcma_driver_unregister, 0x42504002, "_gpl");
SYMBOL_CRC(bcma_core_is_enabled, 0xdb2b14ef, "_gpl");
SYMBOL_CRC(bcma_core_disable, 0xf8d2fbba, "_gpl");
SYMBOL_CRC(bcma_core_enable, 0x7d677084, "_gpl");
SYMBOL_CRC(bcma_core_set_clockmode, 0xfd92757f, "_gpl");
SYMBOL_CRC(bcma_core_pll_ctl, 0x2e71e4df, "_gpl");
SYMBOL_CRC(bcma_core_dma_translation, 0xb5a665b2, "");
SYMBOL_CRC(bcma_chipco_get_alp_clock, 0xed473262, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_out, 0xab09d946, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_outen, 0x0f1529eb, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_control, 0xcddbb1b0, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_read, 0x0ebe82a0, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_write, 0x985b7519, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_maskset, 0x29a3905d, "_gpl");
SYMBOL_CRC(bcma_chipco_chipctl_maskset, 0xc88026ff, "_gpl");
SYMBOL_CRC(bcma_chipco_regctl_maskset, 0xf8ba90ec, "_gpl");
SYMBOL_CRC(bcma_pmu_get_bus_clock, 0xb95cedaf, "_gpl");
SYMBOL_CRC(bcma_pmu_spuravoid_pllupdate, 0x1e64d155, "_gpl");
SYMBOL_CRC(bcma_chipco_b_mii_write, 0x7ce922c0, "_gpl");
SYMBOL_CRC(bcma_core_pci_power_save, 0xd1118b05, "_gpl");
SYMBOL_CRC(bcma_host_pci_up, 0xea7cda67, "_gpl");
SYMBOL_CRC(bcma_host_pci_down, 0x996203ba, "_gpl");
SYMBOL_CRC(bcma_host_pci_irq_ctl, 0x2f5c6093, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x29accd10, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x848d372e, "iowrite8" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa0dfb7b3, "put_device" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe768e0f9, "_dev_info" },
	{ 0x18cc3bc0, "gpiochip_get_data" },
	{ 0x6b36b4c9, "bus_unregister" },
	{ 0xcc255402, "_dev_err" },
	{ 0xdb1654d, "device_add" },
	{ 0x87c52142, "platform_device_unregister" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x387aaef9, "driver_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa85b3ee7, "pci_iounmap" },
	{ 0xb19b445, "ioread8" },
	{ 0x7341ba2f, "_dev_warn" },
	{ 0x9081e8d0, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0xec6e5ced, "gpiochip_add_data_with_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x395c3da0, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x23c5bb3a, "platform_device_register_full" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc8818758, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc8ee7bab, "pci_disable_device" },
	{ 0x787c8fb7, "pcie_set_readrq" },
	{ 0x5734e1b3, "kmalloc_trace" },
	{ 0x29628d48, "driver_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x96ce83e2, "__dev_fwnode" },
	{ 0xbbe2233, "pci_write_config_dword" },
	{ 0x68d6cdef, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0xe45a93f4, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xd858a413, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xbcfa010b, "dev_set_name" },
	{ 0x1c1a789b, "pci_iomap" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x72de6c61, "device_unregister" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x15c63371, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xf04444f1, "device_initialize" },
	{ 0x45530077, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x62b79b0d, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x3a792a35, "__dynamic_dev_dbg" },
	{ 0xe64d82d6, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x96e05c49, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000014E4d00000576sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004313sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004331sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004353sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004357sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004358sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004359sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000016bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000018bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000105Bsd0000E092bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000103Csd0000804Abc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043AAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DCsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "09D4811241F40B0A5B45025");
