#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dfl_fpga_port_ops_get, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_port_ops_put, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_port_ops_add, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_port_ops_del, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_check_port_id, "_gpl", "");
KSYMTAB_FUNC(__dfl_driver_register, "", "");
KSYMTAB_FUNC(dfl_driver_unregister, "", "");
KSYMTAB_FUNC(dfl_fpga_dev_feature_uinit, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_dev_feature_init, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_dev_ops_register, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_dev_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(dfh_find_param, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_alloc, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_free, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_add_dfl, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_add_irq, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_feature_devs_enumerate, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_feature_devs_remove, "_gpl", "");
KSYMTAB_FUNC(__dfl_fpga_cdev_find_port, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_release_port, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_assign_port, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_config_ports_pf, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_config_ports_vf, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_set_irq_triggers, "_gpl", "");
KSYMTAB_FUNC(dfl_feature_ioctl_get_num_irqs, "_gpl", "");
KSYMTAB_FUNC(dfl_feature_ioctl_set_irq, "_gpl", "");

SYMBOL_CRC(dfl_fpga_port_ops_get, 0xe1ca9a81, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_put, 0x6ae2dfd4, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_add, 0xc64111b0, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_del, 0x171a8a65, "_gpl");
SYMBOL_CRC(dfl_fpga_check_port_id, 0x590ab793, "_gpl");
SYMBOL_CRC(__dfl_driver_register, 0xa988d9e2, "");
SYMBOL_CRC(dfl_driver_unregister, 0x88fd7969, "");
SYMBOL_CRC(dfl_fpga_dev_feature_uinit, 0xa475a8a7, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_feature_init, 0x354e3925, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_ops_register, 0x933a5d49, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_ops_unregister, 0xd75c93f1, "_gpl");
SYMBOL_CRC(dfh_find_param, 0x719de8b0, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_alloc, 0x42c8623f, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_free, 0x41f4390d, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_add_dfl, 0xc6758415, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_add_irq, 0x9f3cd35c, "_gpl");
SYMBOL_CRC(dfl_fpga_feature_devs_enumerate, 0xee5e068c, "_gpl");
SYMBOL_CRC(dfl_fpga_feature_devs_remove, 0x5767ab5d, "_gpl");
SYMBOL_CRC(__dfl_fpga_cdev_find_port, 0x0f716eaa, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_release_port, 0x9a61e449, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_assign_port, 0xf413fdd8, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_config_ports_pf, 0x19fbd50f, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_config_ports_vf, 0x9638e78d, "_gpl");
SYMBOL_CRC(dfl_fpga_set_irq_triggers, 0x119688aa, "_gpl");
SYMBOL_CRC(dfl_feature_ioctl_get_num_irqs, 0xf1471e73, "_gpl");
SYMBOL_CRC(dfl_feature_ioctl_set_irq, 0x43a67cf1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8ef6ce46, "try_module_get" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x964034f0, "module_put" },
	{ 0x29628d48, "driver_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x387aaef9, "driver_unregister" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc5e74216, "release_resource" },
	{ 0x37a0cba, "kfree" },
	{ 0xffb7c514, "ida_free" },
	{ 0xb69c23ab, "cdev_init" },
	{ 0x51759c60, "cdev_add" },
	{ 0x90873c12, "cdev_del" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x62b79b0d, "get_device" },
	{ 0xb55571c8, "devm_kmalloc" },
	{ 0xa0dfb7b3, "put_device" },
	{ 0xb92dae4f, "devm_kfree" },
	{ 0x70fdf4a0, "devm_kmemdup" },
	{ 0x77358855, "iomem_resource" },
	{ 0x6598d39f, "__devm_request_region" },
	{ 0xb3e8efdd, "devm_ioremap" },
	{ 0xcc255402, "_dev_err" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe45a93f4, "bus_register" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x6b36b4c9, "bus_unregister" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x72de6c61, "device_unregister" },
	{ 0x3987d619, "devm_platform_ioremap_resource" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x68d6cdef, "kmalloc_caches" },
	{ 0x5734e1b3, "kmalloc_trace" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xf04444f1, "device_initialize" },
	{ 0xbcfa010b, "dev_set_name" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xdb1654d, "device_add" },
	{ 0x3a792a35, "__dynamic_dev_dbg" },
	{ 0x4c54f022, "platform_device_del" },
	{ 0x77bcbfc0, "platform_device_add" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xa05c6999, "platform_device_put" },
	{ 0x2148321c, "device_for_each_child" },
	{ 0x8ff47dc1, "fpga_region_unregister" },
	{ 0x87c52142, "platform_device_unregister" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9c82924c, "devm_ioremap_resource" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x7341ba2f, "_dev_warn" },
	{ 0xe768e0f9, "_dev_info" },
	{ 0x33c73833, "fpga_region_register" },
	{ 0x2b47e985, "devm_iounmap" },
	{ 0x4c2c7244, "__devm_release_region" },
	{ 0x47549109, "platform_device_alloc" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x96e05c49, "module_layout" },
};

MODULE_INFO(depends, "fpga-region");


MODULE_INFO(srcversion, "7EC6110147F3A538A738130");
