#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ivtv_ext_init, "", "");
KSYMTAB_FUNC(ivtv_set_irq_mask, "", "");
KSYMTAB_FUNC(ivtv_api, "", "");
KSYMTAB_FUNC(ivtv_vapi, "", "");
KSYMTAB_FUNC(ivtv_vapi_result, "", "");
KSYMTAB_FUNC(ivtv_clear_irq_mask, "", "");
KSYMTAB_DATA(ivtv_debug, "", "");
KSYMTAB_FUNC(ivtv_reset_ir_gpio, "", "");
KSYMTAB_FUNC(ivtv_udma_setup, "", "");
KSYMTAB_FUNC(ivtv_udma_unmap, "", "");
KSYMTAB_FUNC(ivtv_udma_alloc, "", "");
KSYMTAB_FUNC(ivtv_udma_prepare, "", "");
KSYMTAB_FUNC(ivtv_init_on_first_open, "", "");
KSYMTAB_FUNC(ivtv_firmware_check, "", "");
KSYMTAB_FUNC(ivtv_claim_stream, "", "");
KSYMTAB_FUNC(ivtv_release_stream, "", "");
KSYMTAB_FUNC(ivtv_start_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(ivtv_stop_v4l2_encode_stream, "", "");

SYMBOL_CRC(ivtv_ext_init, 0x91439e30, "");
SYMBOL_CRC(ivtv_set_irq_mask, 0x15dca2c0, "");
SYMBOL_CRC(ivtv_api, 0x22ee0b45, "");
SYMBOL_CRC(ivtv_vapi, 0x86e3ac80, "");
SYMBOL_CRC(ivtv_vapi_result, 0x3262f8c0, "");
SYMBOL_CRC(ivtv_clear_irq_mask, 0x3a650da5, "");
SYMBOL_CRC(ivtv_debug, 0x14f67530, "");
SYMBOL_CRC(ivtv_reset_ir_gpio, 0xd990fc42, "");
SYMBOL_CRC(ivtv_udma_setup, 0x5a1e08ab, "");
SYMBOL_CRC(ivtv_udma_unmap, 0x46a9b6eb, "");
SYMBOL_CRC(ivtv_udma_alloc, 0xb36bc41a, "");
SYMBOL_CRC(ivtv_udma_prepare, 0xc52df36d, "");
SYMBOL_CRC(ivtv_init_on_first_open, 0x263b8e2c, "");
SYMBOL_CRC(ivtv_firmware_check, 0x4a6e229e, "");
SYMBOL_CRC(ivtv_claim_stream, 0x6f0e2193, "");
SYMBOL_CRC(ivtv_release_stream, 0x40a93d60, "");
SYMBOL_CRC(ivtv_start_v4l2_encode_stream, 0xfb09f0d1, "");
SYMBOL_CRC(ivtv_stop_v4l2_encode_stream, 0xbce1925c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0xd8c35af9, "tveeprom_read" },
	{ 0x24d273d1, "add_timer" },
	{ 0xd81049b1, "v4l2_device_set_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x3add593b, "v4l2_fh_is_singular" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe2b90c32, "pci_read_config_word" },
	{ 0x204e77d2, "v4l2_ctrl_subscribe_event" },
	{ 0x413e20ab, "v4l2_fh_init" },
	{ 0x4566bbab, "v4l2_event_pending" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xbeaec904, "__kthread_init_worker" },
	{ 0xde80cd09, "ioremap" },
	{ 0xe390e7ac, "video_unregister_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xa406c490, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x106c10bf, "v4l2_event_subscribe" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8e7628cc, "dma_sync_single_for_cpu" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x9081e8d0, "pci_set_master" },
	{ 0x15774da8, "v4l2_ctrl_new_std_menu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe9571e24, "v4l2_device_register" },
	{ 0xbb1ebbf3, "param_ops_string" },
	{ 0xad6aabf5, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x80e56e47, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x52d9d9f, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x645f6763, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x3598bbd, "pin_user_pages_unlocked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcb7c75d0, "v4l2_ctrl_new_std" },
	{ 0xc089b36f, "v4l2_ctrl_g_ctrl" },
	{ 0xc59e6192, "cx2341x_handler_init" },
	{ 0x9b26de1a, "cx2341x_handler_set_50hz" },
	{ 0xc51dae3, "v4l2_ctrl_handler_free" },
	{ 0x25bea31c, "v4l2_device_unregister" },
	{ 0xc8ee7bab, "pci_disable_device" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x6c5b255a, "dma_set_mask" },
	{ 0x51468391, "sched_set_fifo" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x75cf4379, "v4l2_subdev_call_wrappers" },
	{ 0x7b0d89b9, "dma_unmap_sg_attrs" },
	{ 0x5734e1b3, "kmalloc_trace" },
	{ 0x40bba9bc, "v4l2_event_queue" },
	{ 0xa8bd7fd, "v4l2_i2c_new_subdev" },
	{ 0x9a197c86, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x2f7280cf, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6dfdbb33, "video_device_release_empty" },
	{ 0x21a79d6b, "v4l2_ctrl_cluster" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xbbe2233, "pci_write_config_dword" },
	{ 0xb0105869, "v4l2_event_unsubscribe" },
	{ 0x68d6cdef, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x71c527d5, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bb0d1cf, "v4l2_fh_exit" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x8cc48f01, "cx2341x_handler_set_busy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x8588be3e, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xd858a413, "pci_enable_device" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8e33162e, "i2c_bit_add_bus" },
	{ 0xadd62da7, "v4l2_fh_del" },
	{ 0xfc78d021, "v4l2_i2c_new_subdev_board" },
	{ 0x1c2cc356, "kthread_flush_worker" },
	{ 0xa303054b, "v4l2_fh_add" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x9d574112, "dma_unmap_page_attrs" },
	{ 0x839ffc33, "request_firmware" },
	{ 0x15c63371, "__pci_register_driver" },
	{ 0xc71d5d96, "v4l2_ctrl_handler_init_class" },
	{ 0xc8cdfce6, "dma_sync_single_for_device" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0x5388c77a, "unpin_user_pages" },
	{ 0xaf85d4f6, "param_array_ops" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x1f014d4c, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x52ef713b, "i2c_transfer_buffer_flags" },
	{ 0x770466a4, "v4l2_subdev_init" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xe64d82d6, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb3badf85, "wake_up_process" },
	{ 0x8d644e1b, "dev_driver_string" },
	{ 0xe1de368c, "v4l2_device_register_subdev" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9d860234, "dma_map_page_attrs" },
	{ 0x122c3a7e, "_printk" },
	{ 0x888ef46e, "v4l2_ctrl_handler_log_status" },
	{ 0xf20c1142, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xddb5273d, "video_devdata" },
	{ 0xe120839, "i2c_new_scanned_device" },
	{ 0x250282bd, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0xb6bb08b0, "kthread_queue_work" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa8a24c25, "__free_pages" },
	{ 0x3b981f8d, "i2c_del_adapter" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8ebfd6e8, "__v4l2_ctrl_s_ctrl" },
	{ 0x96e05c49, "module_layout" },
};

MODULE_INFO(depends, "tveeprom,videodev,cx2341x,i2c-algo-bit");

MODULE_ALIAS("pci:v00004444d00000803sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00004444d00000016sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "6D9C8CBEECBE2A1B0B96327");
