#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usb_cypress_load_firmware, "", "");
KSYMTAB_FUNC(dvb_usb_get_hexline, "", "");
KSYMTAB_FUNC(dvb_usb_device_init, "", "");
KSYMTAB_FUNC(dvb_usb_device_exit, "", "");
KSYMTAB_FUNC(dvb_usb_generic_rw, "", "");
KSYMTAB_FUNC(dvb_usb_generic_write, "", "");
KSYMTAB_FUNC(dvb_usb_nec_rc_key_to_event, "", "");

SYMBOL_CRC(usb_cypress_load_firmware, 0xf5048099, "");
SYMBOL_CRC(dvb_usb_get_hexline, 0x8b6f5395, "");
SYMBOL_CRC(dvb_usb_device_init, 0xa8dcabde, "");
SYMBOL_CRC(dvb_usb_device_exit, 0x3382b3aa, "");
SYMBOL_CRC(dvb_usb_generic_rw, 0xa5941442, "");
SYMBOL_CRC(dvb_usb_generic_write, 0xc5931c0e, "");
SYMBOL_CRC(dvb_usb_nec_rc_key_to_event, 0xce7e6873, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x682cfc49, "input_unregister_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xdd8704b, "__media_device_register" },
	{ 0x2c256e1f, "input_scancode_to_scalar" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x22cf5ca2, "dvb_register_adapter" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3eabf30f, "input_free_device" },
	{ 0x122c3a7e, "_printk" },
	{ 0x79e2f5a1, "usb_clear_halt" },
	{ 0x54a0721d, "usb_bulk_msg" },
	{ 0x914a78b5, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x18610888, "usb_submit_urb" },
	{ 0xe768e0f9, "_dev_info" },
	{ 0x3b981f8d, "i2c_del_adapter" },
	{ 0x19d0ac2c, "media_device_cleanup" },
	{ 0x6a9f708a, "dvb_dmx_swfilter_204" },
	{ 0x9263a063, "dvb_dmx_release" },
	{ 0x6aaeea71, "usb_free_coherent" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xdbb54ae4, "rc_register_device" },
	{ 0xe8d16d5b, "usb_control_msg" },
	{ 0xe7f0231c, "dvb_net_init" },
	{ 0x8c54b0f8, "dvb_dmx_swfilter" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x3f8c64d0, "dvb_dmxdev_release" },
	{ 0x36d09f96, "rc_free_device" },
	{ 0xfb578fc5, "memset" },
	{ 0xa4235824, "dvb_dmx_swfilter_raw" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2514aff0, "input_event" },
	{ 0x99c20d48, "dvb_frontend_detach" },
	{ 0xad6aabf5, "i2c_add_adapter" },
	{ 0x2c8034f3, "dvb_net_release" },
	{ 0x81821608, "rc_allocate_device" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1d5cafbd, "dvb_unregister_frontend" },
	{ 0x30d3c9b1, "usb_kill_urb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x42736431, "__media_device_usb_init" },
	{ 0x10917f96, "dvb_register_frontend" },
	{ 0x5734e1b3, "kmalloc_trace" },
	{ 0x93c2702d, "dvb_create_media_graph" },
	{ 0x930d6e3f, "dvb_unregister_adapter" },
	{ 0x54abe4ff, "dvb_dmx_init" },
	{ 0x2f7280cf, "param_ops_int" },
	{ 0xf9a482f9, "msleep" },
	{ 0xef77bf1, "rc_unregister_device" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x68d6cdef, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2d0658e3, "input_allocate_device" },
	{ 0x9756d368, "dvb_dmxdev_init" },
	{ 0x2ef0888d, "usb_alloc_urb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x9b9de03d, "media_device_unregister" },
	{ 0x87052e09, "usb_free_urb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x75df5839, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x839ffc33, "request_firmware" },
	{ 0x96e05c49, "module_layout" },
};

MODULE_INFO(depends, "mc,dvb-core,usbcore,rc-core");


MODULE_INFO(srcversion, "083703896CC43B04798B56C");
