#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x38841502, "can_bus_off" },
	{ 0xc7ff73bf, "usb_unanchor_urb" },
	{ 0xd10d15b5, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe06c8f31, "driver_for_each_device" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc6258336, "alloc_can_err_skb" },
	{ 0x5734e1b3, "kmalloc_trace" },
	{ 0x27b5c960, "register_candev" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x68d6cdef, "kmalloc_caches" },
	{ 0xbb7b14de, "netdev_info" },
	{ 0x2ef0888d, "usb_alloc_urb" },
	{ 0x99ce1314, "usb_anchor_urb" },
	{ 0x87052e09, "usb_free_urb" },
	{ 0x351688bb, "can_free_echo_skb" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc8b2965d, "can_put_echo_skb" },
	{ 0xedae4acb, "consume_skb" },
	{ 0x5984f274, "can_get_echo_skb" },
	{ 0x4da56e56, "alloc_canfd_skb" },
	{ 0x5288b979, "usb_register_driver" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1f014d4c, "pcpu_hot" },
	{ 0x698ab55d, "netdev_warn" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xef2d4bf6, "open_candev" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb5b25329, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54a0721d, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc1d65ed5, "alloc_can_skb" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0xa916b694, "strnlen" },
	{ 0x56fda52e, "netif_device_detach" },
	{ 0x5b76e96d, "unregister_candev" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x18610888, "usb_submit_urb" },
	{ 0xe768e0f9, "_dev_info" },
	{ 0xf2cd2a87, "can_change_state" },
	{ 0x1880053f, "can_change_mtu" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xa30923da, "can_dropped_invalid_skb" },
	{ 0xcc255402, "_dev_err" },
	{ 0x4aa00e07, "free_candev" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x832ddf14, "alloc_candev_mqs" },
	{ 0x6047ede6, "can_fd_len2dlc" },
	{ 0xd5da6893, "kfree_skb_reason" },
	{ 0xd02191e1, "netdev_printk" },
	{ 0xe8d16d5b, "usb_control_msg" },
	{ 0xf12d9387, "can_fd_dlc2len" },
	{ 0xc590338b, "usb_deregister" },
	{ 0x327023ae, "netif_tx_wake_queue" },
	{ 0x43b58f1f, "close_candev" },
	{ 0xfb578fc5, "memset" },
	{ 0x7341ba2f, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xef30d7e9, "netif_rx" },
	{ 0x96e05c49, "module_layout" },
};

MODULE_INFO(depends, "can-dev,usbcore");

MODULE_ALIAS("usb:v0C72p000Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C72p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C72p0012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C72p0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C72p0013d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0C72p0014d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "8384844B4DC84548109FDC7");
