#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cdc_ncm_change_mtu, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_bind_common, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_unbind, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_select_altsetting, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_fill_tx_frame, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_tx_fixup, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_fixup, "_gpl", "");

SYMBOL_CRC(cdc_ncm_change_mtu, 0x5e9ec467, "_gpl");
SYMBOL_CRC(cdc_ncm_bind_common, 0x34dce8b9, "_gpl");
SYMBOL_CRC(cdc_ncm_unbind, 0x0e504765, "_gpl");
SYMBOL_CRC(cdc_ncm_select_altsetting, 0x8c1df812, "_gpl");
SYMBOL_CRC(cdc_ncm_fill_tx_frame, 0xfa07a462, "_gpl");
SYMBOL_CRC(cdc_ncm_tx_fixup, 0xbfb1f63a, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth16, 0xedc9cd6b, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth32, 0xba8bc5ec, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp16, 0xf8985ff8, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp32, 0xc5ba8ef3, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_fixup, 0x35435310, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b69ceb1, "usbnet_unlink_rx_urbs" },
	{ 0x38b7c373, "usbnet_write_cmd" },
	{ 0x1f014d4c, "pcpu_hot" },
	{ 0xdda6e609, "netif_tx_lock" },
	{ 0x25ab908f, "usbnet_start_xmit" },
	{ 0x83c39411, "netif_tx_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3c96fa2f, "hrtimer_active" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0xae036f8b, "usbnet_read_cmd" },
	{ 0x82e2415e, "__netdev_alloc_skb" },
	{ 0x9062085b, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdaf5419b, "usbnet_skb_return" },
	{ 0xfb578fc5, "memset" },
	{ 0x68d6cdef, "kmalloc_caches" },
	{ 0x5734e1b3, "kmalloc_trace" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xb2c0211c, "cdc_parse_cdc_header" },
	{ 0x7d41d08a, "usb_ifnum_to_if" },
	{ 0xc3cc8e67, "usb_driver_claim_interface" },
	{ 0x80f75f44, "usb_set_interface" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xed493537, "usbnet_get_ethernet_addr" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xcc255402, "_dev_err" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xcf6f3ab3, "__alloc_skb" },
	{ 0xb50a37d1, "usbnet_manage_power" },
	{ 0x4410fff3, "usbnet_cdc_update_filter" },
	{ 0x5bfc7de, "usbnet_open" },
	{ 0x2cc565d8, "usbnet_stop" },
	{ 0x75e74cde, "usbnet_set_rx_mode" },
	{ 0xc09c9b60, "eth_mac_addr" },
	{ 0xc82e459f, "eth_validate_addr" },
	{ 0x8a983210, "usbnet_tx_timeout" },
	{ 0xc6a5f7f8, "dev_get_tstats64" },
	{ 0x35000de5, "usbnet_get_drvinfo" },
	{ 0xf9ab1039, "usbnet_get_msglevel" },
	{ 0x5b2a751, "usbnet_set_msglevel" },
	{ 0x4ff6fa2c, "usbnet_nway_reset" },
	{ 0xec3945d, "usbnet_get_link" },
	{ 0xb926fdd4, "ethtool_op_get_ts_info" },
	{ 0xd97f5da4, "usbnet_get_link_ksettings_internal" },
	{ 0xec1e715e, "usbnet_probe" },
	{ 0xc4cc96d1, "usbnet_disconnect" },
	{ 0x998482d4, "usbnet_suspend" },
	{ 0x17c1f25b, "usbnet_resume" },
	{ 0x614b7808, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3a792a35, "__dynamic_dev_dbg" },
	{ 0x7341ba2f, "_dev_warn" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x7712e8d2, "dev_kfree_skb_any_reason" },
	{ 0x37a0cba, "kfree" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xeec10271, "usb_driver_release_interface" },
	{ 0xddc70ccc, "usb_altnum_to_altsetting" },
	{ 0xd10d15b5, "__dynamic_netdev_dbg" },
	{ 0x5288b979, "usb_register_driver" },
	{ 0xc590338b, "usb_deregister" },
	{ 0xa2b7fa2a, "usbnet_link_change" },
	{ 0xe768e0f9, "_dev_info" },
	{ 0xe4094683, "usbnet_update_max_qlen" },
	{ 0x96e05c49, "module_layout" },
};

MODULE_INFO(depends, "usbnet,usbcore,cdc_ether");

MODULE_ALIAS("usb:v0BDBp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1BC7p0036d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BBd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BCd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v0930p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1519p0443d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1546p1010d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v17E9p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc0Dip00in*");

MODULE_INFO(srcversion, "A65C089EA6CC70961D7B748");
