#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdae1e274, "mt76_write_mac_initvals" },
	{ 0xf9b62954, "mt76x2_reset_wlan" },
	{ 0x41d2f590, "mt76x2_mcu_set_channel" },
	{ 0xbcfdb815, "mt76x02_mcu_set_radio_state" },
	{ 0x23f83a1a, "mt76_wake_tx_queue" },
	{ 0xea37ca13, "mt76_get_antenna" },
	{ 0x11898bb7, "mt76x2_apply_gain_adj" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8f02ba14, "mt76x02_sta_ps" },
	{ 0x2782451, "mt76x2_set_sar_specs" },
	{ 0xe76329ed, "mt76u_resume_rx" },
	{ 0xc20bae8d, "mt76x02_sta_rate_tbl_update" },
	{ 0x3a792a35, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x742162ed, "mt76_alloc_device" },
	{ 0xf635bef8, "mt76x02_mac_shared_key_setup" },
	{ 0xdfca27e5, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7552e136, "mt76x2_mac_stop" },
	{ 0x43e273e9, "usb_put_dev" },
	{ 0x7b398627, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xffab37a, "mt76x02_update_channel" },
	{ 0x82088d59, "mt76x2_configure_tx_delay" },
	{ 0x84f038bb, "usb_get_dev" },
	{ 0xe768e0f9, "_dev_info" },
	{ 0xa8cfb19, "mt76x02_configure_filter" },
	{ 0xba7ee69a, "mt76_free_device" },
	{ 0xa2837b2, "mt76x02_queue_rx_skb" },
	{ 0x9e981d7c, "mt76u_queues_deinit" },
	{ 0x6357c6c7, "ieee80211_queue_delayed_work" },
	{ 0xcc255402, "_dev_err" },
	{ 0x148e22f6, "mt76x02u_mcu_fw_reset" },
	{ 0xf95ad41b, "mt76x02_mac_setaddr" },
	{ 0x6439f41a, "mt76_register_device" },
	{ 0xeb2b3d2, "mt76_set_tim" },
	{ 0xed7721fe, "mt76x02_sw_scan_complete" },
	{ 0x11424872, "mt76x02_phy_set_bw" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb0e913a0, "mt76x02_phy_set_band" },
	{ 0x3a7fd81d, "mt76_set_channel" },
	{ 0xf7ad9028, "mt76x02_init_device" },
	{ 0xb14b84c5, "mt76x02_tx" },
	{ 0x814f5425, "ieee80211_wake_queues" },
	{ 0x27c120f1, "mt76x02_eeprom_parse_hw_cap" },
	{ 0x3bd6b06b, "mt76x02_sta_remove" },
	{ 0x1ad1df1, "mt76x02_phy_set_rxpath" },
	{ 0xd4740081, "mt76x02_edcca_init" },
	{ 0xc590338b, "usb_deregister" },
	{ 0x220b2809, "mt76x02_tx_status_data" },
	{ 0x1c38637, "mt76x02_sta_add" },
	{ 0xbbbe5299, "mt76x2_mcu_load_cr" },
	{ 0xd71e5e08, "mt76x2_init_txpower" },
	{ 0x866a60b0, "mt76x02u_mcu_fw_send_data" },
	{ 0x7e8ce727, "mt76u_init" },
	{ 0x43a8bf7b, "mt76_get_survey" },
	{ 0xc9ba6836, "mt76x02_init_debugfs" },
	{ 0x7341ba2f, "_dev_warn" },
	{ 0x1a11213a, "mt76x02u_init_mcu" },
	{ 0x9c901408, "mt76x02u_tx_prepare_skb" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb0eebd4c, "mt76x2_mcu_init_gain" },
	{ 0xf5238458, "mt76_sta_state" },
	{ 0x7e6a806a, "mt76x2_phy_tssi_compensate" },
	{ 0xe60bec6, "ieee80211_stop_queues" },
	{ 0x4efdd2fe, "mt76x02u_mac_start" },
	{ 0x9648bb71, "mt76x02_mac_cc_reset" },
	{ 0x59415bbe, "mt76x02_bss_info_changed" },
	{ 0xbc96af53, "mt76x02_init_agc_gain" },
	{ 0xb445f637, "mt76x2_phy_update_channel_gain" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xa053bff6, "mt76_txq_schedule_all" },
	{ 0x3a87998a, "mt76u_alloc_queues" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x51d32d7c, "mt76u_stop_tx" },
	{ 0xc9130d75, "mt76x02u_init_beacon_config" },
	{ 0x5d07b52a, "ieee80211_unregister_hw" },
	{ 0xd76bc802, "mt76u_vendor_request" },
	{ 0xcf7d5222, "mt76x02_add_interface" },
	{ 0x596d8096, "____mt76_poll_msec" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7d8beb8e, "mt76_get_sar_power" },
	{ 0xadb4a874, "mt76u_stop_rx" },
	{ 0x9c39dd58, "mt76x02_ampdu_action" },
	{ 0xb602e73c, "mt76x02_mcu_calibrate" },
	{ 0xeabe5c60, "mt76x02_conf_tx" },
	{ 0x18e74ccc, "mt76x02_mcu_function_select" },
	{ 0xa25b5628, "mt76_sw_scan" },
	{ 0xb4ae3cac, "mt76_sta_pre_rcu_remove" },
	{ 0x24c81917, "mt76x02_mac_wcid_setup" },
	{ 0x34a06236, "__mt76_poll" },
	{ 0x2e6f5c71, "mt76x2_read_rx_gain" },
	{ 0xe2500cab, "mt76x2_phy_set_txpower_regs" },
	{ 0xdd2dbf0c, "mt76x2_phy_set_txpower" },
	{ 0xd22d2747, "mt76x02_phy_set_txdac" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3bb51c35, "mt76x02_remove_interface" },
	{ 0xc55fea6c, "mt76x02u_tx_complete_skb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb55571c8, "devm_kmalloc" },
	{ 0x774fdd0f, "mt76x02_set_ethtool_fwver" },
	{ 0x324aa8b0, "mt76x02_set_key" },
	{ 0x2e0478d1, "mt76_release_buffered_frames" },
	{ 0x839ffc33, "request_firmware" },
	{ 0x5288b979, "usb_register_driver" },
	{ 0x1dd9953e, "mt76_get_txpower" },
	{ 0x96e05c49, "module_layout" },
};

MODULE_INFO(depends, "mt76x2-common,mt76x02-lib,mt76,mt76-usb,usbcore,mac80211,mt76x02-usb");

MODULE_ALIAS("usb:v0B05p1833d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17EBd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p180Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7612d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v057Cp8503d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pB711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7632d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2C4Ep0103d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p9053d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v045Ep02E6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v045Ep02FEd*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "CE759484F422D4AB09C7AFA");
