#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(st21nfca_hci_probe, "", "");
KSYMTAB_FUNC(st21nfca_hci_remove, "", "");
KSYMTAB_FUNC(st21nfca_tm_send_dep_res, "", "");
KSYMTAB_FUNC(st21nfca_dep_event_received, "", "");
KSYMTAB_FUNC(st21nfca_im_send_atr_req, "", "");
KSYMTAB_FUNC(st21nfca_im_send_dep_req, "", "");
KSYMTAB_FUNC(st21nfca_dep_init, "", "");
KSYMTAB_FUNC(st21nfca_dep_deinit, "", "");
KSYMTAB_FUNC(st21nfca_hci_discover_se, "", "");
KSYMTAB_FUNC(st21nfca_hci_enable_se, "", "");
KSYMTAB_FUNC(st21nfca_hci_disable_se, "", "");
KSYMTAB_FUNC(st21nfca_hci_se_io, "", "");
KSYMTAB_FUNC(st21nfca_connectivity_event_received, "", "");
KSYMTAB_FUNC(st21nfca_apdu_reader_event_received, "", "");
KSYMTAB_FUNC(st21nfca_se_init, "", "");
KSYMTAB_FUNC(st21nfca_se_deinit, "", "");
KSYMTAB_FUNC(st21nfca_hci_loopback_event_received, "", "");
KSYMTAB_FUNC(st21nfca_vendor_cmds_init, "", "");

SYMBOL_CRC(st21nfca_hci_probe, 0x78bee43a, "");
SYMBOL_CRC(st21nfca_hci_remove, 0x450da410, "");
SYMBOL_CRC(st21nfca_tm_send_dep_res, 0xf81a90b0, "");
SYMBOL_CRC(st21nfca_dep_event_received, 0x25932b74, "");
SYMBOL_CRC(st21nfca_im_send_atr_req, 0xbd8fa8a7, "");
SYMBOL_CRC(st21nfca_im_send_dep_req, 0xf4eaf83c, "");
SYMBOL_CRC(st21nfca_dep_init, 0x450558f8, "");
SYMBOL_CRC(st21nfca_dep_deinit, 0xb3def48c, "");
SYMBOL_CRC(st21nfca_hci_discover_se, 0x7578dc92, "");
SYMBOL_CRC(st21nfca_hci_enable_se, 0x691c7cc3, "");
SYMBOL_CRC(st21nfca_hci_disable_se, 0x1a5b18e2, "");
SYMBOL_CRC(st21nfca_hci_se_io, 0x4aa699a8, "");
SYMBOL_CRC(st21nfca_connectivity_event_received, 0x43f878ca, "");
SYMBOL_CRC(st21nfca_apdu_reader_event_received, 0xc530e31a, "");
SYMBOL_CRC(st21nfca_se_init, 0xc40636ff, "");
SYMBOL_CRC(st21nfca_se_deinit, 0x5695af17, "");
SYMBOL_CRC(st21nfca_hci_loopback_event_received, 0xd823b812, "");
SYMBOL_CRC(st21nfca_vendor_cmds_init, 0x277b2223, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c025c2a, "nfc_hci_free_device" },
	{ 0x4d90ca72, "nfc_se_transaction" },
	{ 0x3f4299f7, "nfc_get_local_general_bytes" },
	{ 0x12afba51, "nfc_hci_register_device" },
	{ 0x6103f17, "nfc_set_remote_general_bytes" },
	{ 0xcc255402, "_dev_err" },
	{ 0xe0422957, "skb_pull" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xd5da6893, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x83500a90, "skb_push" },
	{ 0xd5a43273, "nla_put" },
	{ 0xd6cc4150, "nfc_hci_send_cmd" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xfbb8c3af, "nfc_hci_get_clientdata" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xabc3f620, "nfc_tm_activated" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xff5cf681, "nfc_hci_allocate_device" },
	{ 0xa09b3144, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x59259721, "nfc_se_connectivity" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x8729505, "nfc_vendor_cmd_reply" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x48d64401, "nfc_hci_set_param" },
	{ 0xac337865, "nfc_dep_link_is_up" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5734e1b3, "kmalloc_trace" },
	{ 0x2c3ca0fc, "nfc_hci_send_event" },
	{ 0xc93848d2, "nfc_hci_disconnect_all_gates" },
	{ 0xcabc3fd3, "nfc_hci_disconnect_gate" },
	{ 0x68d6cdef, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x48cd2134, "nfc_hci_set_clientdata" },
	{ 0xb55571c8, "devm_kmalloc" },
	{ 0xdae046d5, "__nfc_alloc_vendor_cmd_reply_skb" },
	{ 0x9062085b, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x877fabed, "nfc_hci_get_param" },
	{ 0xc6fe5e7c, "nfc_hci_send_cmd_async" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb8699e62, "nfc_add_se" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x80f49a4d, "nfc_llc_stop" },
	{ 0x4a8cd2ac, "nfc_hci_connect_gate" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xc6b9f9e5, "nfc_tm_data_received" },
	{ 0x37ce9f0e, "nfc_remove_se" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xc06bd61f, "nfc_hci_unregister_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdd231c55, "nfc_hci_sak_to_protocol" },
	{ 0xcf6f3ab3, "__alloc_skb" },
	{ 0x2cdeedef, "nfc_llc_start" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x96e05c49, "module_layout" },
};

MODULE_INFO(depends, "hci,nfc");


MODULE_INFO(srcversion, "5EBB7B3E4FC40AA7D0FC977");
