#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ucsi_send_command, "_gpl", "");
KSYMTAB_FUNC(ucsi_connector_change, "_gpl", "");
KSYMTAB_FUNC(ucsi_resume, "_gpl", "");
KSYMTAB_FUNC(ucsi_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_create, "_gpl", "");
KSYMTAB_FUNC(ucsi_destroy, "_gpl", "");
KSYMTAB_FUNC(ucsi_register, "_gpl", "");
KSYMTAB_FUNC(ucsi_unregister, "_gpl", "");

SYMBOL_CRC(ucsi_send_command, 0xd0def5fd, "_gpl");
SYMBOL_CRC(ucsi_connector_change, 0x7fdca87f, "_gpl");
SYMBOL_CRC(ucsi_resume, 0xa22aae8c, "_gpl");
SYMBOL_CRC(ucsi_get_drvdata, 0x1c615b5c, "_gpl");
SYMBOL_CRC(ucsi_set_drvdata, 0x3d7b36d0, "_gpl");
SYMBOL_CRC(ucsi_create, 0x07b35d41, "_gpl");
SYMBOL_CRC(ucsi_destroy, 0xeff33566, "_gpl");
SYMBOL_CRC(ucsi_register, 0x914cb7f6, "_gpl");
SYMBOL_CRC(ucsi_unregister, 0x1aad92f7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x429c8f69, "usb_power_delivery_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x697d2ec2, "typec_partner_register_altmode" },
	{ 0xcd9ff2b4, "typec_partner_set_num_altmodes" },
	{ 0x9dd77d35, "typec_unregister_partner" },
	{ 0xc2aec9, "typec_set_pwr_opmode" },
	{ 0xeefed9e8, "debugfs_attr_read" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x443516af, "perf_trace_run_bpf_submit" },
	{ 0xcc255402, "_dev_err" },
	{ 0x887fb0f4, "typec_altmode_update_active" },
	{ 0xc575abc8, "device_property_read_u8_array" },
	{ 0xada65124, "simple_attr_release" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0x1d1e4b20, "usb_power_delivery_register_capabilities" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x375287c6, "debugfs_remove" },
	{ 0xe10b4834, "usb_power_delivery_unregister" },
	{ 0x5dd105ec, "trace_event_reg" },
	{ 0x8f6b692, "typec_set_data_role" },
	{ 0x76a1213, "typec_get_negotiated_svdm_version" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x59e7f3f9, "typec_altmode_vdm" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc568f27d, "typec_unregister_port" },
	{ 0x473b87f, "power_supply_get_drvdata" },
	{ 0x7341ba2f, "_dev_warn" },
	{ 0x9e19fdba, "typec_register_port" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x542f2153, "typec_partner_set_usb_power_delivery" },
	{ 0x6d4550d2, "power_supply_changed" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf849f570, "devm_kasprintf" },
	{ 0x8ad47a4b, "typec_partner_set_svdm_version" },
	{ 0x1af0f878, "seq_read" },
	{ 0x3905a083, "debugfs_create_file" },
	{ 0xf654709b, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x58fb6a5a, "typec_unregister_altmode" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xee4594f0, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x38ef7df7, "usb_power_delivery_unregister_capabilities" },
	{ 0xb31f5de0, "typec_get_drvdata" },
	{ 0x79b8decb, "power_supply_unregister" },
	{ 0x186acfb3, "single_release" },
	{ 0xc344d6b5, "typec_set_pwr_role" },
	{ 0x841f2657, "dev_err_probe" },
	{ 0x5734e1b3, "kmalloc_trace" },
	{ 0x5c8c5bf9, "usb_debug_root" },
	{ 0xce486750, "fwnode_handle_put" },
	{ 0x5dc8bba0, "device_get_next_child_node" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x6ac7186a, "single_open" },
	{ 0x24eeeb41, "debugfs_create_dir" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x96ce83e2, "__dev_fwnode" },
	{ 0x68d6cdef, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x788c23d0, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd71c8b80, "typec_register_partner" },
	{ 0x282f5a26, "typec_port_set_usb_power_delivery" },
	{ 0x1a95a555, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xb55571c8, "devm_kmalloc" },
	{ 0xeb655383, "typec_port_register_altmode" },
	{ 0xec403109, "power_supply_register" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2c420462, "trace_raw_output_prep" },
	{ 0x22b0e81e, "typec_altmode_get_partner" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x652a3b7c, "__trace_trigger_soft_disabled" },
	{ 0xb83bd323, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7c6139b, "trace_event_raw_init" },
	{ 0x887c5754, "fwnode_usb_role_switch_get" },
	{ 0x37a0cba, "kfree" },
	{ 0x1f014d4c, "pcpu_hot" },
	{ 0xf418d581, "seq_lseek" },
	{ 0xb1c2f1c4, "bpf_trace_run2" },
	{ 0x38e89db8, "typec_set_mode" },
	{ 0x3a792a35, "__dynamic_dev_dbg" },
	{ 0xcd2ef2b0, "typec_altmode2port" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7e7d0ea1, "trace_event_buffer_commit" },
	{ 0x96e05c49, "module_layout" },
};

MODULE_INFO(depends, "typec,roles");


MODULE_INFO(srcversion, "AA1135A7F57EC13B4059BD7");
