#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0xe07b2c7c, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0x5874d461, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0x76fb075c, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x9cc12563, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0x5f9a7804, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0xda9ddc04, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcf6f3ab3, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x3c26ff7b, "kmem_cache_alloc" },
	{ 0x6d0f8f36, "skb_mpls_pop" },
	{ 0xb787db96, "skb_vlan_pop" },
	{ 0x68237c5f, "dst_init" },
	{ 0x964034f0, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4ea5d10, "ksize" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x7c69393a, "rtnl_link_unregister" },
	{ 0x443516af, "perf_trace_run_bpf_submit" },
	{ 0xe3a58113, "__skb_get_hash" },
	{ 0xc54b68c0, "init_net" },
	{ 0xb7c0f443, "sort" },
	{ 0xe91bbca0, "ipv6_stub" },
	{ 0xafd39740, "skb_mpls_update_lse" },
	{ 0xe0422957, "skb_pull" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x62a6d04f, "netlink_unicast" },
	{ 0xa0fd07, "bpf_trace_run5" },
	{ 0x5d261d2c, "dev_get_by_index_rcu" },
	{ 0xd5da6893, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x83500a90, "skb_push" },
	{ 0x2b4763cf, "kmem_cache_free" },
	{ 0x6519162c, "netdev_upper_dev_unlink" },
	{ 0xd5a43273, "nla_put" },
	{ 0x5dd105ec, "trace_event_reg" },
	{ 0x92fa2080, "skb_ensure_writable" },
	{ 0x82e6ba9, "free_netdev" },
	{ 0x10534625, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x497dadd7, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc009b73d, "ethtool_op_get_link" },
	{ 0x124d6216, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xfb578fc5, "memset" },
	{ 0x914d9bb7, "nf_nat_helper_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xe457c340, "__pskb_pull_tail" },
	{ 0x79db5dd2, "nf_ct_delete" },
	{ 0x4987bfb7, "nf_conncount_init" },
	{ 0xacce8c48, "skb_vlan_push" },
	{ 0xc6a5f7f8, "dev_get_tstats64" },
	{ 0xef30d7e9, "netif_rx" },
	{ 0x82e2415e, "__netdev_alloc_skb" },
	{ 0x79154604, "netdev_master_upper_dev_link" },
	{ 0xf3c06aae, "skb_zerocopy_headlen" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xcdc6ac43, "inet_proto_csum_replace16" },
	{ 0xa09b3144, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x85ce6626, "skb_scrub_packet" },
	{ 0xf48e17c1, "nf_ct_deliver_cached_events" },
	{ 0x2d9b80f2, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xedb5ab34, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x558ab41f, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf654709b, "trace_event_buffer_reserve" },
	{ 0x6a644ce3, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4a9016ff, "inet_proto_csum_replace4" },
	{ 0x8173a4f, "nf_conncount_destroy" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xa54a9ba6, "skb_zerocopy" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc9539093, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7d6c476c, "dev_get_by_name" },
	{ 0x2bb2d35c, "skb_clone" },
	{ 0x5984482, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xa9012092, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x307f5965, "peernet2id_alloc" },
	{ 0x5f5d7e9b, "nf_ct_get_tuplepr" },
	{ 0xacf6e352, "netdev_rx_handler_register" },
	{ 0x96c45799, "ip_do_fragment" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x491d7109, "genl_unregister_family" },
	{ 0x688848c1, "dev_disable_lro" },
	{ 0x5734e1b3, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x7712e8d2, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x76635f2a, "genl_register_family" },
	{ 0xc02a4208, "nf_ct_tmpl_free" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x378f183a, "netlink_has_listeners" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xd474a405, "__skb_gso_segment" },
	{ 0x53b954a2, "up_read" },
	{ 0x74ced5d, "skb_mpls_push" },
	{ 0xdcd2182, "register_pernet_device" },
	{ 0x2414f29f, "nf_conntrack_in" },
	{ 0xe1a8d7c9, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x68d6cdef, "kmalloc_caches" },
	{ 0x46e70d7d, "kmem_cache_alloc_node" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa3cf2717, "kmem_cache_destroy" },
	{ 0xf76eac02, "__skb_vlan_pop" },
	{ 0x3f7f723b, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x44bec257, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x6afd12b6, "nf_ct_ext_add" },
	{ 0xa6a28bc5, "__skb_get_hash_symmetric" },
	{ 0xe914e41e, "strcpy" },
	{ 0x9463370d, "nsh_pop" },
	{ 0x9e54b32b, "nf_conntrack_find_get" },
	{ 0x129fd88, "nf_ct_set_timeout" },
	{ 0x81305e43, "dev_get_stats" },
	{ 0xfcc9d052, "__nla_put" },
	{ 0x8ef6ce46, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x4ac3a85a, "dev_fill_metadata_dst" },
	{ 0x615c8fd4, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x37976e3a, "skb_copy_bits" },
	{ 0x998bfc, "nf_ct_handle_fragments" },
	{ 0xc09c9b60, "eth_mac_addr" },
	{ 0x9062085b, "skb_put" },
	{ 0x1af2ff8e, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x37427c04, "nsh_push" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xedae4acb, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x4276d22d, "nf_ct_nat" },
	{ 0xca9e776c, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc8ce9add, "skb_eth_pop" },
	{ 0x2c420462, "trace_raw_output_prep" },
	{ 0x1261437a, "skb_gso_validate_mac_len" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0xce2aec2e, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0xf648951e, "nf_ct_helper" },
	{ 0x652a3b7c, "__trace_trigger_soft_disabled" },
	{ 0x273474f9, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xb83bd323, "trace_event_printf" },
	{ 0x707db700, "rtnl_delete_link" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xe62cb877, "rtnl_link_register" },
	{ 0x9d19e384, "nf_connlabels_put" },
	{ 0x93031a58, "genlmsg_put" },
	{ 0x54e0c757, "___pskb_trim" },
	{ 0x7c6139b, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2f842955, "dev_set_promiscuity" },
	{ 0xa17253f6, "nf_ct_destroy_timeout" },
	{ 0xf544ca93, "nf_ct_add_helper" },
	{ 0x1f014d4c, "pcpu_hot" },
	{ 0x3c3f910, "nf_conntrack_helper_put" },
	{ 0x4017c0f0, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x9d107365, "nf_ct_skb_network_trim" },
	{ 0x95fe1385, "unregister_netdevice_queue" },
	{ 0xf3fc9226, "kmem_cache_create" },
	{ 0x7dcdf5c8, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0x664df8e4, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd3ed3e37, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x32eecf84, "pskb_expand_head" },
	{ 0x1335d5c3, "skb_csum_hwoffload_help" },
	{ 0x7e7d0ea1, "trace_event_buffer_commit" },
	{ 0xde600874, "dev_addr_mod" },
	{ 0x5c5e56a1, "nf_connlabels_replace" },
	{ 0x7f9954ee, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc59bd9bd, "alloc_netdev_mqs" },
	{ 0xb8f7350a, "nla_put_nohdr" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf6d5f511, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0x731b0ee2, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xd4370d6a, "skb_eth_push" },
	{ 0x36c8e4ed, "nf_conncount_count" },
	{ 0xa916b694, "strnlen" },
	{ 0x96e05c49, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_conncount,libcrc32c,nsh,nf_nat");


MODULE_INFO(srcversion, "089DF98A9778AE3410E1F98");
