#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l41_probe, "_gpl", "");
KSYMTAB_FUNC(cs35l41_remove, "_gpl", "");
KSYMTAB_DATA(cs35l41_pm_ops, "_gpl", "");

SYMBOL_CRC(cs35l41_probe, 0x267e488d, "_gpl");
SYMBOL_CRC(cs35l41_remove, 0x031f59e8, "_gpl");
SYMBOL_CRC(cs35l41_pm_ops, 0x8bfa4e7f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb735ea18, "devm_gpiod_get_optional" },
	{ 0x7bcc8cc4, "cs35l41_init_boost" },
	{ 0x6677b964, "cs35l41_enter_hibernate" },
	{ 0x3a792a35, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6f7dd182, "__pm_runtime_set_status" },
	{ 0x54aec87b, "devm_snd_soc_register_component" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa3bbbe5e, "pm_runtime_enable" },
	{ 0x5b84d1fc, "regulator_bulk_disable" },
	{ 0x81fcd283, "device_property_read_u32_array" },
	{ 0x35d33d38, "snd_soc_get_enum_double" },
	{ 0xe768e0f9, "_dev_info" },
	{ 0x866f0dcc, "snd_soc_info_volsw" },
	{ 0x79c0682e, "regmap_multi_reg_write_bypassed" },
	{ 0xcc255402, "_dev_err" },
	{ 0x2eaad28f, "wm_adsp_event" },
	{ 0x829515d4, "snd_soc_dapm_put_volsw" },
	{ 0xfba98c0f, "cs35l41_test_key_unlock" },
	{ 0x6eb87936, "cs35l41_test_key_lock" },
	{ 0x8953cc98, "snd_pcm_hw_constraint_list" },
	{ 0xca3aa78a, "wm_adsp_fw_enum" },
	{ 0x389e86c7, "cs35l41_safe_reset" },
	{ 0x7341ba2f, "_dev_warn" },
	{ 0x8126dfd1, "wm_adsp2_component_probe" },
	{ 0xfca38bef, "wm_adsp2_preloader_put" },
	{ 0x830b98e, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x10504b3b, "wm_adsp2_preloader_get" },
	{ 0xcbdbf28e, "snd_soc_info_enum_double" },
	{ 0xf25257c7, "regulator_bulk_enable" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0xfa6b9060, "devm_regulator_bulk_get" },
	{ 0x7c0bc439, "snd_soc_info_volsw_sx" },
	{ 0xa4e0c7d4, "cs35l41_otp_unpack" },
	{ 0x525ccf70, "wm_adsp2_component_remove" },
	{ 0xb30cf881, "snd_soc_get_volsw" },
	{ 0xfffcc2e5, "cs35l41_exit_hibernate" },
	{ 0xca071791, "regmap_read" },
	{ 0xfd9b40a2, "snd_soc_put_volsw" },
	{ 0xa7efef23, "wm_adsp_fw_get" },
	{ 0xc5985d19, "__pm_runtime_resume" },
	{ 0x555c5224, "cs35l41_set_cspl_mbox_cmd" },
	{ 0xd7fbfad0, "cs35l41_write_fs_errata" },
	{ 0xa4d52801, "snd_soc_dapm_new_controls" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x52ba29ec, "cs35l41_configure_cs_dsp" },
	{ 0x79413292, "_dev_crit" },
	{ 0x704a789, "regmap_update_bits_base" },
	{ 0x841f2657, "dev_err_probe" },
	{ 0xf5ad054f, "snd_soc_dapm_get_volsw" },
	{ 0x8e62ac0f, "__pm_runtime_suspend" },
	{ 0x975ab01a, "snd_soc_dapm_get_enum_double" },
	{ 0xc6797f2d, "__pm_runtime_use_autosuspend" },
	{ 0x54791dac, "wm_halo_init" },
	{ 0x1344d97, "wm_adsp_early_event" },
	{ 0xb116fdbb, "cs35l41_set_channels" },
	{ 0x52160052, "__pm_runtime_disable" },
	{ 0x36c475ff, "cs35l41_mdsync_up" },
	{ 0x68689adf, "snd_soc_get_volsw_sx" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xe92ff6ad, "cs35l41_gpio_config" },
	{ 0xe43a6f83, "snd_soc_dapm_put_enum_double" },
	{ 0x4b1c2ff7, "wm_adsp_fw_put" },
	{ 0x9238b667, "device_property_present" },
	{ 0x7c110766, "cs35l41_global_enable" },
	{ 0xbd9c5172, "regcache_cache_only" },
	{ 0x17bf3bc8, "is_acpi_device_node" },
	{ 0xa2ae89b8, "regcache_sync" },
	{ 0x7660f263, "regmap_write" },
	{ 0xeafd848e, "devm_request_threaded_irq" },
	{ 0x1014407f, "snd_soc_put_volsw_sx" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xe0f59ca9, "pm_runtime_set_autosuspend_delay" },
	{ 0xea1201f9, "cs35l41_register_errata_patch" },
	{ 0x1d0c3571, "gpiod_set_value_cansleep" },
	{ 0x37a0cba, "kfree" },
	{ 0x9f210ef3, "wm_adsp2_remove" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xcecf70a2, "snd_soc_put_enum_double" },
	{ 0xed3c6186, "regcache_mark_dirty" },
	{ 0x96e05c49, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-cs35l41-lib,snd-soc-core,snd-soc-wm-adsp,snd-pcm");


MODULE_INFO(srcversion, "BD76D9547CD87994BAD4263");
