#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(line6_midi_id, "_gpl", "");
KSYMTAB_FUNC(line6_send_raw_message, "_gpl", "");
KSYMTAB_FUNC(line6_send_raw_message_async, "_gpl", "");
KSYMTAB_FUNC(line6_version_request_async, "_gpl", "");
KSYMTAB_FUNC(line6_send_sysex_message, "_gpl", "");
KSYMTAB_FUNC(line6_alloc_sysex_buffer, "_gpl", "");
KSYMTAB_FUNC(line6_read_data, "_gpl", "");
KSYMTAB_FUNC(line6_write_data, "_gpl", "");
KSYMTAB_FUNC(line6_read_serial_number, "_gpl", "");
KSYMTAB_FUNC(line6_probe, "_gpl", "");
KSYMTAB_FUNC(line6_disconnect, "_gpl", "");
KSYMTAB_FUNC(line6_suspend, "_gpl", "");
KSYMTAB_FUNC(line6_resume, "_gpl", "");
KSYMTAB_FUNC(line6_init_midi, "_gpl", "");
KSYMTAB_FUNC(line6_pcm_acquire, "_gpl", "");
KSYMTAB_FUNC(line6_pcm_release, "_gpl", "");
KSYMTAB_FUNC(line6_init_pcm, "_gpl", "");

SYMBOL_CRC(line6_midi_id, 0x202a1b1b, "_gpl");
SYMBOL_CRC(line6_send_raw_message, 0xf6c3ead6, "_gpl");
SYMBOL_CRC(line6_send_raw_message_async, 0x488deb2e, "_gpl");
SYMBOL_CRC(line6_version_request_async, 0x416cf7cf, "_gpl");
SYMBOL_CRC(line6_send_sysex_message, 0x39bf0288, "_gpl");
SYMBOL_CRC(line6_alloc_sysex_buffer, 0x340e05b3, "_gpl");
SYMBOL_CRC(line6_read_data, 0x44df8fb0, "_gpl");
SYMBOL_CRC(line6_write_data, 0x406dc594, "_gpl");
SYMBOL_CRC(line6_read_serial_number, 0xfb05e608, "_gpl");
SYMBOL_CRC(line6_probe, 0xe502fa42, "_gpl");
SYMBOL_CRC(line6_disconnect, 0x241cb581, "_gpl");
SYMBOL_CRC(line6_suspend, 0xad8d10cb, "_gpl");
SYMBOL_CRC(line6_resume, 0xb3037c81, "_gpl");
SYMBOL_CRC(line6_init_midi, 0xf651887a, "_gpl");
SYMBOL_CRC(line6_pcm_acquire, 0x04e8717c, "_gpl");
SYMBOL_CRC(line6_pcm_release, 0x21655545, "_gpl");
SYMBOL_CRC(line6_init_pcm, 0x1c726aab, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65cdb759, "usb_urb_ep_type_check" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xcc255402, "_dev_err" },
	{ 0x4bef75bb, "snd_hwdep_new" },
	{ 0xc491b021, "snd_rawmidi_transmit_peek" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x48c1ba2f, "snd_card_free_when_closed" },
	{ 0x80f75f44, "usb_set_interface" },
	{ 0xc03ec813, "snd_pcm_set_ops" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x9b0253e5, "snd_pcm_set_managed_buffer_all" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc6cb465a, "__kfifo_max_r" },
	{ 0x5d4d65c3, "snd_rawmidi_new" },
	{ 0xd82775ec, "snd_card_disconnect" },
	{ 0x699e344, "usb_unlink_urb" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x53be76d, "snd_rawmidi_set_ops" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2484adc3, "__kfifo_to_user_r" },
	{ 0x30d3c9b1, "usb_kill_urb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x565398a6, "snd_pcm_period_elapsed" },
	{ 0x5734e1b3, "kmalloc_trace" },
	{ 0x7846af3e, "__kfifo_len_r" },
	{ 0x754d539c, "strlen" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x68d6cdef, "kmalloc_caches" },
	{ 0x2ef0888d, "usb_alloc_urb" },
	{ 0x9e967986, "snd_rawmidi_receive" },
	{ 0x87052e09, "usb_free_urb" },
	{ 0x21cf525a, "usb_control_msg_send" },
	{ 0xcf9b3332, "snd_ctl_add" },
	{ 0x199bb9e4, "snd_pcm_new" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x8d69acfa, "usb_control_msg_recv" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1f014d4c, "pcpu_hot" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x3a792a35, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xaa28301f, "usb_interrupt_msg" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3955fcf6, "__kfifo_in_r" },
	{ 0x7e3cc276, "snd_ctl_new1" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x43e273e9, "usb_put_dev" },
	{ 0x54a0721d, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x179ffa47, "snd_rawmidi_transmit_ack" },
	{ 0x84f038bb, "usb_get_dev" },
	{ 0x18610888, "usb_submit_urb" },
	{ 0xe768e0f9, "_dev_info" },
	{ 0x1da427b3, "snd_pcm_hw_constraint_ratdens" },
	{ 0x1909e460, "snd_card_new" },
	{ 0x96e05c49, "module_layout" },
};

MODULE_INFO(depends, "usbcore,snd-hwdep,snd-rawmidi,snd,snd-pcm");


MODULE_INFO(srcversion, "E80F6A5BE54D9C806547C9A");
