#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_dma_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create_internal, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_dma_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_print_info, "", "");
KSYMTAB_FUNC(drm_gem_dma_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_vmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table_vmap, "", "");
KSYMTAB_FUNC(drm_fbdev_dma_setup, "", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_obj, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_addr, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_sync_non_coherent, "_gpl", "");

SYMBOL_CRC(drm_gem_dma_create, 0x55b5b5dc, "_gpl");
SYMBOL_CRC(drm_gem_dma_free, 0x5db09e6a, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create_internal, 0xc2d4ff0e, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create, 0x9bbb4170, "_gpl");
SYMBOL_CRC(drm_gem_dma_vm_ops, 0x116cd505, "_gpl");
SYMBOL_CRC(drm_gem_dma_print_info, 0x4051803d, "");
SYMBOL_CRC(drm_gem_dma_get_sg_table, 0x76323c40, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table, 0x8990e6ba, "_gpl");
SYMBOL_CRC(drm_gem_dma_vmap, 0x7b973d7d, "_gpl");
SYMBOL_CRC(drm_gem_dma_mmap, 0x39e0106c, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table_vmap, 0xfe7d252d, "");
SYMBOL_CRC(drm_fbdev_dma_setup, 0x9a513281, "");
SYMBOL_CRC(drm_fb_dma_get_gem_obj, 0xe7ec96f7, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_gem_addr, 0x2165cc75, "_gpl");
SYMBOL_CRC(drm_fb_dma_sync_non_coherent, 0x1e66b091, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x61c20667, "drm_helper_disable_unused_functions" },
	{ 0xe9f6981f, "drm_fb_helper_unprepare" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0xcf9c5c4a, "drm_gem_prime_mmap" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x7f5c101c, "drm_fb_helper_fini" },
	{ 0x8f6289ed, "dma_mmap_pages" },
	{ 0x2530bf26, "drm_client_framebuffer_delete" },
	{ 0x62ddb9b4, "dma_free_pages" },
	{ 0xe7b11b2f, "drm_client_framebuffer_create" },
	{ 0xc8cdfce6, "dma_sync_single_for_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x98dcbc81, "drm_fb_helper_fill_info" },
	{ 0xe6e0ac3d, "drm_gem_create_mmap_offset" },
	{ 0x8f636e44, "drm_gem_object_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8d644e1b, "dev_driver_string" },
	{ 0xb8b04d4a, "drm_fb_helper_hotplug_event" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x541734, "fb_sys_write" },
	{ 0x5de1d4cf, "sys_imageblit" },
	{ 0xc4706dd9, "drm_atomic_helper_damage_iter_init" },
	{ 0xb73e77a1, "drm_fb_helper_blank" },
	{ 0x68726e73, "dma_alloc_pages" },
	{ 0x41fda5ae, "drm_gem_private_object_init" },
	{ 0x43cf11c6, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcabb6a96, "sys_fillrect" },
	{ 0x964034f0, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x82b15a97, "drm_client_init" },
	{ 0xb14e5d30, "drm_gem_vm_close" },
	{ 0xf0980a37, "drm_gem_vm_open" },
	{ 0x4795b339, "drm_fb_helper_prepare" },
	{ 0x57bc19d2, "down_write" },
	{ 0xcc255402, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x4573ba86, "drm_gem_object_release" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0x3120292, "dma_alloc_attrs" },
	{ 0xdad9c8b1, "drm_prime_get_contiguous_size" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xe4763d56, "drm_gem_handle_create" },
	{  0x1df34, "drm_gem_fb_get_obj" },
	{ 0x6e8a968c, "__drm_dev_dbg" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeab7067e, "drm_fb_helper_pan_display" },
	{ 0xfab654d4, "drm_client_release" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x6c61a994, "sys_copyarea" },
	{ 0x5994047, "dma_free_attrs" },
	{ 0x28779e52, "drm_printf" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8032b498, "drm_client_buffer_vunmap" },
	{ 0x813393a0, "fb_sys_read" },
	{ 0x327cef1b, "drm_fb_helper_debug_leave" },
	{ 0x9c7aa45b, "dma_buf_vmap_unlocked" },
	{ 0x4073fe7b, "dma_mmap_attrs" },
	{ 0xb1f037b, "dma_get_sgtable_attrs" },
	{ 0x5734e1b3, "kmalloc_trace" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x396a82fa, "drm_fb_helper_initial_config" },
	{ 0x90b004aa, "drm_fb_helper_unregister_info" },
	{ 0x68d6cdef, "kmalloc_caches" },
	{ 0xa8ff14e6, "drm_fb_helper_ioctl" },
	{ 0x5856f17e, "drm_fb_helper_set_par" },
	{ 0x78837b10, "drm_prime_gem_destroy" },
	{ 0x3166c091, "drm_client_register" },
	{ 0x8ef6ce46, "try_module_get" },
	{ 0xdf68e649, "drm_fb_helper_init" },
	{ 0xf1eb0598, "drm_fb_helper_debug_enter" },
	{ 0x9c8f81eb, "dma_buf_vunmap_unlocked" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xdb75655b, "drm_client_buffer_vmap" },
	{ 0xf9ddb1bf, "drm_fb_helper_lastclose" },
	{ 0xeb45f381, "drm_fb_helper_setcmap" },
	{ 0x8a6e08fc, "drm_fb_helper_alloc_info" },
	{ 0x96e05c49, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "64A45454504A8A792D821ED");
