#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gpuvm_range_valid, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_resv_object_alloc, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_init, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_put, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_vm, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_objects, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_range, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock_array, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock_range, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_validate, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_resv_add_fence, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_put, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_find, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_obtain, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_obtain_prealloc, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_extobj_add, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_evict, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_insert, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remove, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_link, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unlink, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_first, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_prev, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_next, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_interval_empty, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_map_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prefetch_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_ops_free, "_gpl", "");

SYMBOL_CRC(drm_gpuvm_range_valid, 0x79d04ee3, "_gpl");
SYMBOL_CRC(drm_gpuvm_resv_object_alloc, 0x95810cde, "_gpl");
SYMBOL_CRC(drm_gpuvm_init, 0x6eda5e2e, "_gpl");
SYMBOL_CRC(drm_gpuvm_put, 0x762fa479, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_vm, 0x364db657, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_objects, 0x181ac628, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_range, 0x41dd42a6, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock, 0x9f23ef3e, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock_array, 0x3a4e7aa9, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock_range, 0x505a59c6, "_gpl");
SYMBOL_CRC(drm_gpuvm_validate, 0xdd03076c, "_gpl");
SYMBOL_CRC(drm_gpuvm_resv_add_fence, 0x4ede8c2c, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_create, 0xec8224b7, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_put, 0x27741b89, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_find, 0xe388693f, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_obtain, 0x85285468, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_obtain_prealloc, 0x09b90cad, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_extobj_add, 0xfa4897c2, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_evict, 0xd692aab6, "_gpl");
SYMBOL_CRC(drm_gpuva_insert, 0xf7658cda, "_gpl");
SYMBOL_CRC(drm_gpuva_remove, 0x20ba3c3f, "_gpl");
SYMBOL_CRC(drm_gpuva_link, 0xaee6d133, "_gpl");
SYMBOL_CRC(drm_gpuva_unlink, 0x74f79404, "_gpl");
SYMBOL_CRC(drm_gpuva_find_first, 0x5070ca22, "_gpl");
SYMBOL_CRC(drm_gpuva_find, 0x0f548e43, "_gpl");
SYMBOL_CRC(drm_gpuva_find_prev, 0xee8197c4, "_gpl");
SYMBOL_CRC(drm_gpuva_find_next, 0xd59d82d6, "_gpl");
SYMBOL_CRC(drm_gpuvm_interval_empty, 0x7d137b6e, "_gpl");
SYMBOL_CRC(drm_gpuva_map, 0xf2b7ad6e, "_gpl");
SYMBOL_CRC(drm_gpuva_remap, 0x2fdd1aff, "_gpl");
SYMBOL_CRC(drm_gpuva_unmap, 0x697874df, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_map, 0x757e598a, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_unmap, 0x5248ad1b, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_map_ops_create, 0x91fdd321, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_unmap_ops_create, 0xc156f977, "_gpl");
SYMBOL_CRC(drm_gpuvm_prefetch_ops_create, 0xeefc2a03, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_unmap_ops_create, 0x3612be40, "_gpl");
SYMBOL_CRC(drm_gpuva_ops_free, 0x70805ef8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4573ba86, "drm_gem_object_release" },
	{ 0x37a0cba, "kfree" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x9c37628, "drm_exec_prepare_array" },
	{ 0xc9528987, "dma_resv_add_fence" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x68d6cdef, "kmalloc_caches" },
	{ 0x5734e1b3, "kmalloc_trace" },
	{ 0x41fda5ae, "drm_gem_private_object_init" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xca9360b5, "rb_next" },
	{ 0x8d644e1b, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc90bcb1a, "drm_exec_prepare_obj" },
	{ 0xfaaae4e8, "drm_exec_lock_obj" },
	{ 0x50813af0, "drm_exec_init" },
	{ 0x80e5c91, "drm_exec_cleanup" },
	{ 0x1846303a, "drm_exec_fini" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x96e05c49, "module_layout" },
};

MODULE_INFO(depends, "drm_exec");


MODULE_INFO(srcversion, "AE6034294DD56076A1A429C");
