#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(cx18_ext_init, "", "");
KSYMTAB_FUNC(cx18_reset_ir_gpio, "", "");
KSYMTAB_FUNC(cx18_start_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(cx18_stop_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(cx18_claim_stream, "", "");
KSYMTAB_FUNC(cx18_release_stream, "", "");

SYMBOL_CRC(cx18_ext_init, 0xae552338, "");
SYMBOL_CRC(cx18_reset_ir_gpio, 0x2cdea06d, "");
SYMBOL_CRC(cx18_start_v4l2_encode_stream, 0xb2e2ef4b, "");
SYMBOL_CRC(cx18_stop_v4l2_encode_stream, 0xaf507e77, "");
SYMBOL_CRC(cx18_claim_stream, 0xe6fc9381, "");
SYMBOL_CRC(cx18_release_stream, 0xe3c7799e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x888ef46e, "v4l2_ctrl_handler_log_status" },
	{ 0xf20c1142, "v4l2_ctrl_handler_setup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xddb5273d, "video_devdata" },
	{ 0xe120839, "i2c_new_scanned_device" },
	{ 0x250282bd, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x3b981f8d, "i2c_del_adapter" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8ebfd6e8, "__v4l2_ctrl_s_ctrl" },
	{ 0x868784cb, "__symbol_get" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb79d9a97, "vb2_ioctl_dqbuf" },
	{ 0x9263a063, "dvb_dmx_release" },
	{ 0x5b0d277e, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0xd8c35af9, "tveeprom_read" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa906c503, "vb2_ioctl_prepare_buf" },
	{ 0x3add593b, "v4l2_fh_is_singular" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe2b90c32, "pci_read_config_word" },
	{ 0xc5b9cf0, "vb2_buffer_done" },
	{ 0x11597057, "vb2_plane_vaddr" },
	{ 0x204e77d2, "v4l2_ctrl_subscribe_event" },
	{ 0x413e20ab, "v4l2_fh_init" },
	{ 0x4566bbab, "v4l2_event_pending" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xe7f0231c, "dvb_net_init" },
	{ 0xde80cd09, "ioremap" },
	{ 0x8c54b0f8, "dvb_dmx_swfilter" },
	{ 0xe390e7ac, "video_unregister_device" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x3f8c64d0, "dvb_dmxdev_release" },
	{ 0xa1f31b69, "vb2_ioctl_qbuf" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xcc884180, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5513170b, "param_ops_short" },
	{ 0x81d375e1, "vb2_vmalloc_memops" },
	{ 0x8e7628cc, "dma_sync_single_for_cpu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x5d7e97a4, "vb2_fop_read" },
	{ 0xe9571e24, "v4l2_device_register" },
	{ 0x99c20d48, "dvb_frontend_detach" },
	{ 0xbb1ebbf3, "param_ops_string" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2c8034f3, "dvb_net_release" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x52d9d9f, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1d5cafbd, "dvb_unregister_frontend" },
	{ 0x645f6763, "pci_write_config_byte" },
	{ 0xf27c2e57, "vb2_ops_wait_prepare" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd9c2c9a, "vb2_ioctl_streamon" },
	{ 0x57837ffb, "vb2_fop_poll" },
	{ 0xcb7c75d0, "v4l2_ctrl_new_std" },
	{ 0xc089b36f, "v4l2_ctrl_g_ctrl" },
	{ 0xc59e6192, "cx2341x_handler_init" },
	{ 0x9b26de1a, "cx2341x_handler_set_50hz" },
	{ 0xc51dae3, "v4l2_ctrl_handler_free" },
	{ 0x25bea31c, "v4l2_device_unregister" },
	{ 0xc8ee7bab, "pci_disable_device" },
	{ 0x10917f96, "dvb_register_frontend" },
	{ 0x6c5b255a, "dma_set_mask" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x75cf4379, "v4l2_subdev_call_wrappers" },
	{ 0x5734e1b3, "kmalloc_trace" },
	{ 0xa8bd7fd, "v4l2_i2c_new_subdev" },
	{ 0x9a197c86, "pci_read_config_byte" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x77358855, "iomem_resource" },
	{ 0x930d6e3f, "dvb_unregister_adapter" },
	{ 0x54abe4ff, "dvb_dmx_init" },
	{ 0x2f7280cf, "param_ops_int" },
	{ 0x349cba85, "strchr" },
	{ 0xc15387e, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6dfdbb33, "video_device_release_empty" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb0105869, "v4l2_event_unsubscribe" },
	{ 0x68d6cdef, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb81bdf05, "vb2_ioctl_reqbufs" },
	{ 0xbf03e74f, "vb2_queue_init" },
	{ 0x6bb0d1cf, "v4l2_fh_exit" },
	{ 0x9756d368, "dvb_dmxdev_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x8cc48f01, "cx2341x_handler_set_busy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x8588be3e, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x68880fdf, "vb2_queue_release" },
	{ 0xd858a413, "pci_enable_device" },
	{ 0xc3cbb4dc, "vb2_ioctl_streamoff" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x8e33162e, "i2c_bit_add_bus" },
	{ 0xadd62da7, "v4l2_fh_del" },
	{ 0xa303054b, "v4l2_fh_add" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x9d574112, "dma_unmap_page_attrs" },
	{ 0xf9e33a86, "vb2_ops_wait_finish" },
	{ 0x839ffc33, "request_firmware" },
	{ 0x15c63371, "__pci_register_driver" },
	{ 0xc71d5d96, "v4l2_ctrl_handler_init_class" },
	{ 0xc8cdfce6, "dma_sync_single_for_device" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0xaf85d4f6, "param_array_ops" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1f014d4c, "pcpu_hot" },
	{ 0x38735252, "vb2_ioctl_querybuf" },
	{ 0x770466a4, "v4l2_subdev_init" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x3b6f4a81, "vb2_video_unregister_device" },
	{ 0xe64d82d6, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x22cf5ca2, "dvb_register_adapter" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8d644e1b, "dev_driver_string" },
	{ 0xe1de368c, "v4l2_device_register_subdev" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9d860234, "dma_map_page_attrs" },
	{ 0x122c3a7e, "_printk" },
	{ 0x96e05c49, "module_layout" },
};

MODULE_INFO(depends, "videodev,cx2341x,videobuf2-v4l2,dvb-core,tveeprom,videobuf2-common,videobuf2-vmalloc,i2c-algo-bit");

MODULE_ALIAS("pci:v000014F1d00005B7Asv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "169C2525B0A1AC6B9C9E51B");
