#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6f389315, "fc_remote_port_delete" },
	{ 0x2df4c984, "scsi_is_fc_rport" },
	{ 0xcc35406d, "fc_block_rport" },
	{ 0x46a9f239, "mptscsih_bus_reset" },
	{ 0xc878552b, "scsi_done" },
	{ 0xd5f10f1, "mptscsih_qcmd" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7b33da25, "mptscsih_event_process" },
	{ 0xe64d82d6, "pci_unregister_driver" },
	{ 0x610b257e, "mpt_reset_deregister" },
	{ 0xe6c1e126, "mpt_event_deregister" },
	{ 0x981efe92, "mpt_deregister" },
	{ 0x30198673, "mpt_config" },
	{ 0x3120292, "dma_alloc_attrs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xda71ec8a, "mptscsih_ioc_reset" },
	{ 0xf9a482f9, "msleep" },
	{ 0x56470118, "__warn_printk" },
	{ 0x22ad59ff, "mpt_attach" },
	{ 0xc00aec9b, "scsi_host_alloc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x36ed6da8, "scsi_add_host_with_dma" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x68d6cdef, "kmalloc_caches" },
	{ 0x5734e1b3, "kmalloc_trace" },
	{ 0xfdc4ac35, "scsi_is_host_device" },
	{ 0x8731d412, "mptscsih_dev_reset" },
	{ 0xf78e7b95, "mptscsih_abort" },
	{ 0xc625a702, "fc_remote_port_add" },
	{ 0x8bdb394c, "fc_remote_port_rolechg" },
	{ 0xb7c0f443, "sort" },
	{ 0xca6220e7, "mptscsih_suspend" },
	{ 0xe2342870, "mptscsih_resume" },
	{ 0x6e65e457, "mptscsih_shutdown" },
	{ 0x6aabddef, "mptscsih_info" },
	{ 0xe1710156, "mptscsih_host_reset" },
	{ 0xb2e6bd18, "mptscsih_slave_configure" },
	{ 0xc4d50db9, "mptscsih_slave_destroy" },
	{ 0xe59e5c3, "mptscsih_change_queue_depth" },
	{ 0x1c957162, "mptscsih_bios_param" },
	{ 0x64c8aff, "mptscsih_show_info" },
	{ 0x41aaef96, "fc_eh_timed_out" },
	{ 0x965109d8, "mptscsih_host_attr_groups" },
	{ 0x2f7280cf, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x122c3a7e, "_printk" },
	{ 0x2087a38f, "fc_attach_transport" },
	{ 0xb195bf55, "mptscsih_io_done" },
	{ 0x476b3424, "mpt_register" },
	{ 0x214677b5, "mptscsih_taskmgmt_complete" },
	{ 0xe1a9ed27, "mptscsih_scandv_complete" },
	{ 0x1651dffb, "mpt_event_register" },
	{ 0xa323b796, "mpt_reset_register" },
	{ 0x15c63371, "__pci_register_driver" },
	{ 0x65300edf, "fc_release_transport" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3524f3dc, "fc_remove_host" },
	{ 0x37a0cba, "kfree" },
	{ 0x5994047, "dma_free_attrs" },
	{ 0x273a2056, "scsi_remove_host" },
	{ 0x12e35f2b, "mptscsih_remove" },
	{ 0x96e05c49, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_fc,mptscsih,scsi_mod,mptbase");

MODULE_ALIAS("pci:v00001000d00000621sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000624sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000622sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000628sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000626sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000642sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000640sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000646sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001657d00000646sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "A0CA9D35393C338051B6D45");
