#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65b6aba1, "mpt_get_msg_frame" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x99d9f627, "mpt_put_msg_frame" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe9c6a1cb, "mpt_HardResetHandler" },
	{ 0x9b56c1b4, "mpt_free_msg_frame" },
	{ 0xfdc4ac35, "scsi_is_host_device" },
	{ 0x3120292, "dma_alloc_attrs" },
	{ 0x30198673, "mpt_config" },
	{ 0x5994047, "dma_free_attrs" },
	{ 0xa06558ce, "scsi_device_lookup_by_target" },
	{ 0x8003e92d, "sdev_prefix_printk" },
	{ 0x153522fb, "_dev_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc4d50db9, "mptscsih_slave_destroy" },
	{ 0x7b33da25, "mptscsih_event_process" },
	{ 0x68d6cdef, "kmalloc_caches" },
	{ 0x5734e1b3, "kmalloc_trace" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe2342870, "mptscsih_resume" },
	{ 0xda71ec8a, "mptscsih_ioc_reset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x8229c55f, "spi_dv_device" },
	{ 0xf29b97a2, "spi_display_xfer_agreement" },
	{ 0x3b7a8328, "__scsi_iterate_devices" },
	{ 0xb2e6bd18, "mptscsih_slave_configure" },
	{ 0x97778c5d, "mpt_findImVolumes" },
	{ 0xc21dfc22, "scsi_scan_target" },
	{ 0x41dfb611, "mptscsih_raid_id_to_num" },
	{ 0xca6220e7, "mptscsih_suspend" },
	{ 0x6e65e457, "mptscsih_shutdown" },
	{ 0x6aabddef, "mptscsih_info" },
	{ 0xf78e7b95, "mptscsih_abort" },
	{ 0x8731d412, "mptscsih_dev_reset" },
	{ 0x46a9f239, "mptscsih_bus_reset" },
	{ 0xe1710156, "mptscsih_host_reset" },
	{ 0xe59e5c3, "mptscsih_change_queue_depth" },
	{ 0x1c957162, "mptscsih_bios_param" },
	{ 0x64c8aff, "mptscsih_show_info" },
	{ 0x965109d8, "mptscsih_host_attr_groups" },
	{ 0x2f7280cf, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x122c3a7e, "_printk" },
	{ 0x34f22dbf, "spi_attach_transport" },
	{ 0xb195bf55, "mptscsih_io_done" },
	{ 0x476b3424, "mpt_register" },
	{ 0x214677b5, "mptscsih_taskmgmt_complete" },
	{ 0xe1a9ed27, "mptscsih_scandv_complete" },
	{ 0x1651dffb, "mpt_event_register" },
	{ 0xa323b796, "mpt_reset_register" },
	{ 0x15c63371, "__pci_register_driver" },
	{ 0x829ef7c7, "spi_release_transport" },
	{ 0x37a0cba, "kfree" },
	{ 0x273a2056, "scsi_remove_host" },
	{ 0x12e35f2b, "mptscsih_remove" },
	{ 0xd5f10f1, "mptscsih_qcmd" },
	{ 0x1e047eef, "mptscsih_is_phys_disk" },
	{ 0xc878552b, "scsi_done" },
	{ 0xe64d82d6, "pci_unregister_driver" },
	{ 0x610b257e, "mpt_reset_deregister" },
	{ 0xe6c1e126, "mpt_event_deregister" },
	{ 0x981efe92, "mpt_deregister" },
	{ 0x22ad59ff, "mpt_attach" },
	{ 0xc00aec9b, "scsi_host_alloc" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x36ed6da8, "scsi_add_host_with_dma" },
	{ 0xb43e2dd4, "scsi_scan_host" },
	{ 0xf1703a65, "mptscsih_IssueTaskMgmt" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x96e05c49, "module_layout" },
};

MODULE_INFO(depends, "mptbase,scsi_mod,mptscsih,scsi_transport_spi");

MODULE_ALIAS("pci:v00001000d00000030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000117Cd00000030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000040sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "E361F7B0A597D69C2904EB7");
