#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(brcmf_set_wsec, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_iovar_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fwvid_register_vendor, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fwvid_unregister_vendor, "_gpl", "BRCMFMAC");

SYMBOL_CRC(brcmf_set_wsec, 0x1074e6ce, "_gpl");
SYMBOL_CRC(brcmf_fil_iovar_data_set, 0xff03b894, "_gpl");
SYMBOL_CRC(brcmf_fwvid_register_vendor, 0x2fdd6933, "_gpl");
SYMBOL_CRC(brcmf_fwvid_unregister_vendor, 0xde4fec47, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7341ba2f, "_dev_warn" },
	{ 0xe3bed870, "brcmu_pktq_pdeq_match" },
	{ 0xfdb0ca2b, "cfg80211_vendor_cmd_reply" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x96838ee4, "sdio_writel" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x9081e8d0, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7ebbfbce, "mmc_wait_for_req" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe457c340, "__pskb_pull_tail" },
	{ 0xef30d7e9, "netif_rx" },
	{ 0x82e2415e, "__netdev_alloc_skb" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xbb1ebbf3, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa09b3144, "skb_trim" },
	{ 0x8224e500, "skb_unlink" },
	{ 0x2f80fe3a, "sdio_get_host_pm_caps" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x80e56e47, "kthread_create_on_node" },
	{ 0xf849f570, "devm_kasprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xda9ca1f7, "pm_runtime_forbid" },
	{ 0x3905a083, "debugfs_create_file" },
	{ 0x4e7a3b2b, "brcmu_pktq_mdeq" },
	{ 0x8dbb5927, "cfg80211_unregister_wdev" },
	{ 0x6dd9363, "pci_pme_capable" },
	{ 0x5e139684, "brcmu_pktq_penq" },
	{ 0x5994047, "dma_free_attrs" },
	{ 0x3d43e097, "pm_runtime_allow" },
	{ 0x999e8297, "vfree" },
	{ 0x54d3e79f, "__platform_driver_probe" },
	{ 0xd7ffa0f0, "cfg80211_rx_mgmt_ext" },
	{ 0x85df9b6c, "strsep" },
	{ 0x53e7ac80, "usb_autopm_get_interface" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x627a5c1f, "brcmu_pktq_pdeq_tail" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe06c8f31, "driver_for_each_device" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xc310b981, "strnstr" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x30d3c9b1, "usb_kill_urb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x824de631, "netif_carrier_off" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x3cea6944, "netif_carrier_on" },
	{ 0x3ab971a9, "brcmu_pkt_buf_get_skb" },
	{ 0x98c1081f, "mmc_hw_reset" },
	{ 0xc07074d1, "sdio_retune_release" },
	{ 0x170842f3, "sdio_claim_irq" },
	{ 0x59dc1336, "cfg80211_report_wowlan_wakeup" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xc8ee7bab, "pci_disable_device" },
	{ 0x22c6ca44, "pci_match_id" },
	{ 0xc1989916, "sdio_enable_func" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5c39aa3b, "acpi_dev_get_property" },
	{ 0xf5596d89, "cfg80211_get_p2p_attr" },
	{ 0x2110f527, "send_sig" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x13340437, "cfg80211_inform_bss_data" },
	{ 0x5734e1b3, "kmalloc_trace" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xea124bd1, "gcd" },
	{ 0x4f48d611, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x7712e8d2, "dev_kfree_skb_any_reason" },
	{ 0x2f7280cf, "param_ops_int" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc346027, "cfg80211_connect_done" },
	{ 0x7410aba2, "strreplace" },
	{ 0xceab0311, "strchrnul" },
	{ 0xd2745278, "wiphy_free" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xea4fd72a, "cfg80211_cqm_rssi_notify" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xbbe2233, "pci_write_config_dword" },
	{ 0x68d6cdef, "kmalloc_caches" },
	{ 0xd6217d91, "brcmu_d11_attach" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x776552ab, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd9ca1743, "sdio_readb" },
	{ 0x3d807c91, "sdio_writeb" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0xd939f3da, "brcmu_pktq_mlen" },
	{ 0xd68c67b6, "cfg80211_sched_scan_results" },
	{ 0x3fc51482, "sdio_retune_hold_now" },
	{ 0x6c94ff7f, "sdio_release_host" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2ef0888d, "usb_alloc_urb" },
	{ 0x9349a293, "sdio_disable_func" },
	{ 0xe6681b89, "cfg80211_mgmt_tx_status_ext" },
	{ 0x6c6180c7, "device_set_wakeup_enable" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x2933a9ac, "usb_autopm_put_interface" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xa0a388f3, "sdio_set_block_size" },
	{ 0x17bf3bc8, "is_acpi_device_node" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x87052e09, "usb_free_urb" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xb55571c8, "devm_kmalloc" },
	{ 0xd858a413, "pci_enable_device" },
	{ 0x9062085b, "skb_put" },
	{ 0x6a0c3d57, "brcmu_pkt_buf_free_skb" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xc3243a3b, "sdio_retune_crc_disable" },
	{ 0x467bb86f, "cfg80211_scan_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xd64ba9e, "firmware_request_nowarn" },
	{ 0xb7cd01dd, "platform_driver_unregister" },
	{ 0x12225424, "sdio_claim_host" },
	{ 0xecd8287b, "cfg80211_sched_scan_stopped" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x9dccf2b9, "sdio_memcpy_fromio" },
	{ 0xedae4acb, "consume_skb" },
	{ 0x73f5c9cf, "sdio_register_driver" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x586025ea, "unregister_netdev" },
	{ 0xa39d3196, "cfg80211_remain_on_channel_expired" },
	{ 0xb9c24115, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xa5d82816, "cfg80211_register_netdevice" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x9d574112, "dma_unmap_page_attrs" },
	{ 0x839ffc33, "request_firmware" },
	{ 0x5288b979, "usb_register_driver" },
	{ 0x96848186, "scnprintf" },
	{ 0x15c63371, "__pci_register_driver" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xebc69d1b, "pci_disable_msi" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x1f014d4c, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xf03abcb9, "cfg80211_port_authorized" },
	{ 0xc8812e3e, "brcmu_pktq_init" },
	{ 0xdbc8531d, "brcmu_pktq_penq_head" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb2cbc957, "sdio_memcpy_toio" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x3679dad8, "cfg80211_new_sta" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa17c0ccf, "brcmu_dotrev_str" },
	{ 0xb3957a1f, "cfg80211_disconnected" },
	{ 0x664df8e4, "ether_setup" },
	{ 0xe64d82d6, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x32eecf84, "pskb_expand_head" },
	{ 0xb3badf85, "wake_up_process" },
	{ 0x8d644e1b, "dev_driver_string" },
	{ 0xde600874, "dev_addr_mod" },
	{ 0xe3ae6c50, "sdio_f0_readb" },
	{ 0xdf256037, "kstrtou8_from_user" },
	{ 0x7f9954ee, "eth_type_trans" },
	{ 0x29accd10, "pci_read_config_dword" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9d860234, "dma_map_page_attrs" },
	{ 0xc59bd9bd, "alloc_netdev_mqs" },
	{ 0x15bfd691, "wiphy_new_nm" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x122c3a7e, "_printk" },
	{ 0xb3eec7c1, "cfg80211_ready_on_channel" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x766e86e8, "cfg80211_classify8021d" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9a0e7e6e, "sdio_release_irq" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xe3879175, "cfg80211_crit_proto_stopped" },
	{ 0x3e8f4cdf, "wiphy_register" },
	{ 0xffa72944, "__cfg80211_alloc_reply_skb" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x2862026, "cfg80211_put_bss" },
	{ 0x35fe3cef, "cfg80211_roamed" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x18610888, "usb_submit_urb" },
	{ 0x9f984513, "strrchr" },
	{ 0xe768e0f9, "_dev_info" },
	{ 0x4516ff24, "skb_queue_tail" },
	{ 0x74ef5419, "ieee80211_get_channel_khz" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xcb7bac43, "cfg80211_check_combinations" },
	{ 0x834a9f, "sdio_set_host_pm_flags" },
	{ 0x9048da29, "sdio_f0_writeb" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x39805096, "sdio_unregister_driver" },
	{ 0xf69ab054, "sdio_readsb" },
	{ 0x69555319, "usb_match_id" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe8e36c0b, "pci_enable_msi" },
	{ 0xfddeb056, "efi" },
	{ 0xcc255402, "_dev_err" },
	{ 0x8ec124cc, "device_wakeup_enable" },
	{ 0xa0c61b1c, "cfg80211_ibss_joined" },
	{ 0xd69e6590, "request_firmware_nowait" },
	{ 0x23364d2c, "simple_open" },
	{ 0xe0422957, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xe63cbe52, "wiphy_apply_custom_regulatory" },
	{ 0x76b1d12, "cfg80211_michael_mic_failure" },
	{ 0xd5da6893, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x83500a90, "skb_push" },
	{ 0x1be31829, "sdio_retune_crc_enable" },
	{ 0xd2673038, "brcmu_pktq_flush" },
	{ 0x16e4dd9a, "brcmu_pktq_peek_tail" },
	{ 0x3120292, "dma_alloc_attrs" },
	{ 0x5a921311, "strncmp" },
	{ 0xc7a0f19f, "cfg80211_del_sta_sinfo" },
	{ 0xc608fe42, "sdio_readl" },
	{ 0x9ec36f54, "mmc_set_data_timeout" },
	{ 0xd5a43273, "nla_put" },
	{ 0xfcebd8d2, "register_netdev" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x3fe643f0, "wiphy_unregister" },
	{ 0x82e6ba9, "free_netdev" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xa406c490, "kthread_stop" },
	{ 0x9d172dac, "eth_platform_get_mac_address" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc590338b, "usb_deregister" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x327023ae, "netif_tx_wake_queue" },
	{ 0xb19b445, "ioread8" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0x96e05c49, "module_layout" },
};

MODULE_INFO(depends, "brcmutil,cfg80211,mmc_core,usbcore");

MODULE_ALIAS("pci:v000014E4d000043A3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004355sv000014E4sd00004355bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004354sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043DCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043ECsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043D3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043D9sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000AA31sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043E9sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043EFsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BAsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BBsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000AA52sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004464sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CAsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CBsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004365sv000014E4sd00004365bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C4sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C5sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000440Dsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004415sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004488sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004425sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004433sv*sd*bc02sc80i*");
MODULE_ALIAS("usb:v0A5CpBD1Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD17d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD1Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD27d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4pBD29d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v043Ep3101d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5Cp0BDCd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4p0BDCd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("sdio:c*v02D0dA887*");
MODULE_ALIAS("sdio:c*v02D0d4324*");
MODULE_ALIAS("sdio:c*v02D0d4329*");
MODULE_ALIAS("sdio:c*v02D0d4330*");
MODULE_ALIAS("sdio:c*v02D0d4334*");
MODULE_ALIAS("sdio:c*v02D0dA94C*");
MODULE_ALIAS("sdio:c*v02D0dA94D*");
MODULE_ALIAS("sdio:c*v02D0dA962*");
MODULE_ALIAS("sdio:c*v02D0dA9A4*");
MODULE_ALIAS("sdio:c*v02D0d4335*");
MODULE_ALIAS("sdio:c*v02D0d4339*");
MODULE_ALIAS("sdio:c*v02D0dA9A6*");
MODULE_ALIAS("sdio:c*v02D0dA9AF*");
MODULE_ALIAS("sdio:c*v02D0d4345*");
MODULE_ALIAS("sdio:c*v02D0dA9BF*");
MODULE_ALIAS("sdio:c*v02D0d4354*");
MODULE_ALIAS("sdio:c*v02D0d4356*");
MODULE_ALIAS("sdio:c*v02D0d4359*");
MODULE_ALIAS("sdio:c*v02D0d4373*");
MODULE_ALIAS("sdio:c*v02D0dA804*");
MODULE_ALIAS("sdio:c*v02D0dAAE8*");
MODULE_ALIAS("sdio:c*v02D0d4355*");
MODULE_ALIAS("sdio:c*v04B4dBD3D*");

MODULE_INFO(srcversion, "395FEEF379C664693C34C5A");
