#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0x939ed2e4, "");
SYMBOL_CRC(sas_remove_host, 0x7e88b215, "");
SYMBOL_CRC(sas_get_address, 0x80a8f5b4, "");
SYMBOL_CRC(sas_tlr_supported, 0x6e6dcfbb, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0x010b142e, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0x623ec390, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0xf923e5ca, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0x36d0f9cd, "");
SYMBOL_CRC(sas_phy_add, 0x43297a26, "");
SYMBOL_CRC(sas_phy_free, 0x5ae3eddd, "");
SYMBOL_CRC(sas_phy_delete, 0x64e78e2f, "");
SYMBOL_CRC(scsi_is_sas_phy, 0xa721dca0, "");
SYMBOL_CRC(sas_port_alloc, 0x72225bae, "");
SYMBOL_CRC(sas_port_alloc_num, 0x24837799, "");
SYMBOL_CRC(sas_port_add, 0x657e55f7, "");
SYMBOL_CRC(sas_port_free, 0x3fdeeba9, "");
SYMBOL_CRC(sas_port_delete, 0x10b5c011, "");
SYMBOL_CRC(scsi_is_sas_port, 0x9c180f3d, "");
SYMBOL_CRC(sas_port_get_phy, 0x14086926, "");
SYMBOL_CRC(sas_port_add_phy, 0x97d89fd6, "");
SYMBOL_CRC(sas_port_delete_phy, 0x4895b19c, "");
SYMBOL_CRC(sas_port_mark_backlink, 0x0dcf7f6a, "");
SYMBOL_CRC(sas_read_port_mode_page, 0xf608b21d, "");
SYMBOL_CRC(sas_end_device_alloc, 0x4fca63f5, "");
SYMBOL_CRC(sas_expander_alloc, 0xdbfd7ce3, "");
SYMBOL_CRC(sas_rphy_add, 0x63835018, "");
SYMBOL_CRC(sas_rphy_free, 0x488a5df5, "");
SYMBOL_CRC(sas_rphy_delete, 0x51881e5a, "");
SYMBOL_CRC(sas_rphy_unlink, 0xc90291a5, "");
SYMBOL_CRC(sas_rphy_remove, 0xc6795c81, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0x5303fb68, "");
SYMBOL_CRC(sas_attach_transport, 0xa36f1801, "");
SYMBOL_CRC(sas_release_transport, 0xe39ee050, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x16ab5e0e, "attribute_container_register" },
	{ 0x5106497d, "scsi_get_vpd_page" },
	{ 0x31420449, "scsi_mode_sense" },
	{ 0x8a549c24, "attribute_container_unregister" },
	{ 0x273a2056, "scsi_remove_host" },
	{ 0xee0554a8, "bsg_remove_queue" },
	{ 0xcfb45f3a, "scsi_remove_target" },
	{ 0xfdc4ac35, "scsi_is_host_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7341ba2f, "_dev_warn" },
	{ 0x31a3170e, "bsg_job_done" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xbe6e54d0, "dma_opt_mapping_size" },
	{ 0xf04444f1, "device_initialize" },
	{ 0xbcfa010b, "dev_set_name" },
	{ 0xa1965354, "transport_setup_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2148321c, "device_for_each_child" },
	{ 0xa0dfb7b3, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xdb1654d, "device_add" },
	{ 0xab3c4fd, "transport_add_device" },
	{ 0x6950eacf, "transport_configure_device" },
	{ 0x8758ecb2, "device_del" },
	{ 0xe72dc2cc, "transport_destroy_device" },
	{ 0xf5e6d132, "transport_remove_device" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x62b79b0d, "get_device" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf98449cf, "sysfs_remove_link" },
	{ 0x66aea346, "sysfs_create_link" },
	{ 0x122c3a7e, "_printk" },
	{ 0x153522fb, "_dev_printk" },
	{ 0xc21dfc22, "scsi_scan_target" },
	{ 0x16103ee4, "bsg_setup_queue" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x76218692, "transport_class_register" },
	{ 0x68509266, "transport_class_unregister" },
	{ 0x68d6cdef, "kmalloc_caches" },
	{ 0x5734e1b3, "kmalloc_trace" },
	{ 0x96e05c49, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "223C2971947F8D4DDF94D8F");
