#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(typec_altmode_update_active, "_gpl", "");
KSYMTAB_FUNC(typec_altmode2port, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_identity, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_pd_revision, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_usb_power_delivery, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_num_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_partner_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_partner_usb_power_delivery_register, "_gpl", "");
KSYMTAB_FUNC(typec_register_partner, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_partner, "_gpl", "");
KSYMTAB_FUNC(typec_plug_set_num_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_plug_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_register_plug, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_plug, "_gpl", "");
KSYMTAB_FUNC(typec_cable_get, "_gpl", "");
KSYMTAB_FUNC(typec_cable_put, "_gpl", "");
KSYMTAB_FUNC(typec_cable_is_active, "_gpl", "");
KSYMTAB_FUNC(typec_cable_set_identity, "_gpl", "");
KSYMTAB_FUNC(typec_register_cable, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_cable, "_gpl", "");
KSYMTAB_FUNC(typec_port_set_usb_power_delivery, "_gpl", "");
KSYMTAB_FUNC(typec_set_data_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_pwr_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_vconn_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_pwr_opmode, "_gpl", "");
KSYMTAB_FUNC(typec_find_pwr_opmode, "_gpl", "");
KSYMTAB_FUNC(typec_find_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_find_port_power_role, "_gpl", "");
KSYMTAB_FUNC(typec_find_power_role, "_gpl", "");
KSYMTAB_FUNC(typec_find_port_data_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_get_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_set_mode, "_gpl", "");
KSYMTAB_FUNC(typec_get_negotiated_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_get_fw_cap, "_gpl", "");
KSYMTAB_FUNC(typec_port_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_port_register_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_register_port, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_port, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_switch_get, "_gpl", "");
KSYMTAB_FUNC(typec_switch_put, "_gpl", "");
KSYMTAB_FUNC(typec_switch_register, "_gpl", "");
KSYMTAB_FUNC(typec_switch_set, "_gpl", "");
KSYMTAB_FUNC(typec_switch_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_switch_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_switch_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_mux_get, "_gpl", "");
KSYMTAB_FUNC(typec_mux_put, "_gpl", "");
KSYMTAB_FUNC(typec_mux_set, "_gpl", "");
KSYMTAB_FUNC(typec_mux_register, "_gpl", "");
KSYMTAB_FUNC(typec_mux_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_mux_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_mux_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_notify, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_enter, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_exit, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_attention, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_vdm, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_get_partner, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_get_plug, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_put_plug, "_gpl", "");
KSYMTAB_FUNC(__typec_altmode_register_driver, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(typec_match_altmode, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_register_capabilities, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unregister_capabilities, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_register, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unregister, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_link_device, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unlink_device, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_retimer_get, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_put, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_set, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_register, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_get_drvdata, "_gpl", "");

SYMBOL_CRC(typec_altmode_update_active, 0x887fb0f4, "_gpl");
SYMBOL_CRC(typec_altmode2port, 0xcd2ef2b0, "_gpl");
SYMBOL_CRC(typec_unregister_altmode, 0x58fb6a5a, "_gpl");
SYMBOL_CRC(typec_partner_set_identity, 0xdeeeee85, "_gpl");
SYMBOL_CRC(typec_partner_set_pd_revision, 0x0de6457a, "_gpl");
SYMBOL_CRC(typec_partner_set_usb_power_delivery, 0x542f2153, "_gpl");
SYMBOL_CRC(typec_partner_set_num_altmodes, 0xcd9ff2b4, "_gpl");
SYMBOL_CRC(typec_partner_register_altmode, 0x697d2ec2, "_gpl");
SYMBOL_CRC(typec_partner_set_svdm_version, 0x8ad47a4b, "_gpl");
SYMBOL_CRC(typec_partner_usb_power_delivery_register, 0x32edc2a9, "_gpl");
SYMBOL_CRC(typec_register_partner, 0xd71c8b80, "_gpl");
SYMBOL_CRC(typec_unregister_partner, 0x9dd77d35, "_gpl");
SYMBOL_CRC(typec_plug_set_num_altmodes, 0x26575972, "_gpl");
SYMBOL_CRC(typec_plug_register_altmode, 0x72da0a80, "_gpl");
SYMBOL_CRC(typec_register_plug, 0xe51c3a71, "_gpl");
SYMBOL_CRC(typec_unregister_plug, 0x2cc15ff5, "_gpl");
SYMBOL_CRC(typec_cable_get, 0xcab34b49, "_gpl");
SYMBOL_CRC(typec_cable_put, 0x0a7b15b1, "_gpl");
SYMBOL_CRC(typec_cable_is_active, 0xca78d0a1, "_gpl");
SYMBOL_CRC(typec_cable_set_identity, 0xeecad0e8, "_gpl");
SYMBOL_CRC(typec_register_cable, 0x0c0af4c1, "_gpl");
SYMBOL_CRC(typec_unregister_cable, 0xbb169b17, "_gpl");
SYMBOL_CRC(typec_port_set_usb_power_delivery, 0x282f5a26, "_gpl");
SYMBOL_CRC(typec_set_data_role, 0x08f6b692, "_gpl");
SYMBOL_CRC(typec_set_pwr_role, 0xc344d6b5, "_gpl");
SYMBOL_CRC(typec_set_vconn_role, 0x350f4798, "_gpl");
SYMBOL_CRC(typec_set_pwr_opmode, 0x00c2aec9, "_gpl");
SYMBOL_CRC(typec_find_pwr_opmode, 0xf1234a8b, "_gpl");
SYMBOL_CRC(typec_find_orientation, 0xa254de98, "_gpl");
SYMBOL_CRC(typec_find_port_power_role, 0xeafc1eb8, "_gpl");
SYMBOL_CRC(typec_find_power_role, 0x2d1e301d, "_gpl");
SYMBOL_CRC(typec_find_port_data_role, 0x9049491e, "_gpl");
SYMBOL_CRC(typec_set_orientation, 0xaff27cf1, "_gpl");
SYMBOL_CRC(typec_get_orientation, 0xf72e5558, "_gpl");
SYMBOL_CRC(typec_set_mode, 0x38e89db8, "_gpl");
SYMBOL_CRC(typec_get_negotiated_svdm_version, 0x076a1213, "_gpl");
SYMBOL_CRC(typec_get_drvdata, 0xb31f5de0, "_gpl");
SYMBOL_CRC(typec_get_fw_cap, 0xa1e74e95, "_gpl");
SYMBOL_CRC(typec_port_register_altmode, 0xeb655383, "_gpl");
SYMBOL_CRC(typec_port_register_altmodes, 0xeea231a0, "_gpl");
SYMBOL_CRC(typec_register_port, 0x9e19fdba, "_gpl");
SYMBOL_CRC(typec_unregister_port, 0xc568f27d, "_gpl");
SYMBOL_CRC(fwnode_typec_switch_get, 0x3acc56af, "_gpl");
SYMBOL_CRC(typec_switch_put, 0x86521d45, "_gpl");
SYMBOL_CRC(typec_switch_register, 0xec80bbe4, "_gpl");
SYMBOL_CRC(typec_switch_set, 0xd2fa1286, "_gpl");
SYMBOL_CRC(typec_switch_unregister, 0x6ec01ca5, "_gpl");
SYMBOL_CRC(typec_switch_set_drvdata, 0xb0638745, "_gpl");
SYMBOL_CRC(typec_switch_get_drvdata, 0x94fd7e7d, "_gpl");
SYMBOL_CRC(fwnode_typec_mux_get, 0x6915bf2a, "_gpl");
SYMBOL_CRC(typec_mux_put, 0xfc8df340, "_gpl");
SYMBOL_CRC(typec_mux_set, 0x6b3d9465, "_gpl");
SYMBOL_CRC(typec_mux_register, 0x34048619, "_gpl");
SYMBOL_CRC(typec_mux_unregister, 0x760facd6, "_gpl");
SYMBOL_CRC(typec_mux_set_drvdata, 0xcf3bc148, "_gpl");
SYMBOL_CRC(typec_mux_get_drvdata, 0xe40c9396, "_gpl");
SYMBOL_CRC(typec_altmode_notify, 0xb79a364f, "_gpl");
SYMBOL_CRC(typec_altmode_enter, 0x6ca8a3e4, "_gpl");
SYMBOL_CRC(typec_altmode_exit, 0xef575399, "_gpl");
SYMBOL_CRC(typec_altmode_attention, 0x0726793c, "_gpl");
SYMBOL_CRC(typec_altmode_vdm, 0x59e7f3f9, "_gpl");
SYMBOL_CRC(typec_altmode_get_partner, 0x22b0e81e, "_gpl");
SYMBOL_CRC(typec_altmode_get_plug, 0xb18fdf71, "_gpl");
SYMBOL_CRC(typec_altmode_put_plug, 0x927d4877, "_gpl");
SYMBOL_CRC(__typec_altmode_register_driver, 0x96f6cb59, "_gpl");
SYMBOL_CRC(typec_altmode_unregister_driver, 0xca827ecc, "_gpl");
SYMBOL_CRC(typec_match_altmode, 0xc36d2f6d, "_gpl");
SYMBOL_CRC(usb_power_delivery_register_capabilities, 0x1d1e4b20, "_gpl");
SYMBOL_CRC(usb_power_delivery_unregister_capabilities, 0x38ef7df7, "_gpl");
SYMBOL_CRC(usb_power_delivery_register, 0x429c8f69, "_gpl");
SYMBOL_CRC(usb_power_delivery_unregister, 0xe10b4834, "_gpl");
SYMBOL_CRC(usb_power_delivery_link_device, 0x5456fe12, "_gpl");
SYMBOL_CRC(usb_power_delivery_unlink_device, 0x7c6b954c, "_gpl");
SYMBOL_CRC(fwnode_typec_retimer_get, 0x6ebffc9b, "_gpl");
SYMBOL_CRC(typec_retimer_put, 0x1f939e6c, "_gpl");
SYMBOL_CRC(typec_retimer_set, 0xab346eda, "_gpl");
SYMBOL_CRC(typec_retimer_register, 0xa02ff698, "_gpl");
SYMBOL_CRC(typec_retimer_unregister, 0x659aac0e, "_gpl");
SYMBOL_CRC(typec_retimer_get_drvdata, 0xcfdd1280, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x685b12b7, "device_register" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x7341ba2f, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4c670851, "fwnode_property_read_string" },
	{ 0x6fab759f, "fwnode_property_present" },
	{ 0x2bcd7fcc, "component_master_del" },
	{ 0x615cbc54, "component_match_add_release" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xcc667706, "device_get_named_child_node" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xbbba044c, "component_bind_all" },
	{ 0x4804538f, "device_match_name" },
	{ 0x56c141ca, "kobject_uevent" },
	{ 0x1438d9d0, "fwnode_connection_find_matches" },
	{ 0x5734e1b3, "kmalloc_trace" },
	{ 0x81188c30, "match_string" },
	{ 0x36222ba5, "component_unbind_all" },
	{ 0x29628d48, "driver_register" },
	{ 0x2a055985, "class_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x96ce83e2, "__dev_fwnode" },
	{ 0x68d6cdef, "kmalloc_caches" },
	{ 0xe45a93f4, "bus_register" },
	{ 0x2469a2f3, "class_find_device" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x8ef6ce46, "try_module_get" },
	{ 0x17bf3bc8, "is_acpi_device_node" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xbcfa010b, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf552b87d, "component_master_add_with_match" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x72de6c61, "device_unregister" },
	{ 0x1e014a7f, "acpi_bus_for_each_dev" },
	{ 0xf04444f1, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x5b964124, "fwnode_connection_find_match" },
	{ 0x7213be0c, "fwnode_get_next_child_node" },
	{ 0x2148321c, "device_for_each_child" },
	{ 0x62b79b0d, "get_device" },
	{ 0x3a792a35, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x95eb1128, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf2aed122, "device_match_fwnode" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa0dfb7b3, "put_device" },
	{ 0xac389c8c, "fwnode_property_read_u32_array" },
	{ 0x964034f0, "module_put" },
	{ 0x66aea346, "sysfs_create_link" },
	{ 0x8e0dcea9, "fwnode_get_name" },
	{ 0xf9295937, "kobject_uevent_env" },
	{ 0x9c3576b6, "sysfs_update_group" },
	{ 0x6b36b4c9, "bus_unregister" },
	{ 0xcc255402, "_dev_err" },
	{ 0xdb1654d, "device_add" },
	{ 0xf98449cf, "sysfs_remove_link" },
	{ 0xfd1737d2, "fwnode_property_read_u16_array" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xffb7c514, "ida_free" },
	{ 0x387aaef9, "driver_unregister" },
	{ 0x5e86cead, "class_unregister" },
	{ 0x2813546d, "device_find_child" },
	{ 0x96e05c49, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6B0A391BD9D573EC0887A28");
