#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vfio_pci_core_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_close_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_finish_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_dev_region, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl_feature, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_read, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_write, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_mmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_request, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_match, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_init_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_release_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_aer_err_detected, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_sriov_configure, "_gpl", "");
KSYMTAB_DATA(vfio_pci_core_err_handlers, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_set_params, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite8, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite16, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite32, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread8, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread16, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread32, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_setup_barmap, "_gpl", "");

SYMBOL_CRC(vfio_pci_core_enable, 0x18a47e05, "_gpl");
SYMBOL_CRC(vfio_pci_core_disable, 0xdb2ce588, "_gpl");
SYMBOL_CRC(vfio_pci_core_close_device, 0xde970d72, "_gpl");
SYMBOL_CRC(vfio_pci_core_finish_enable, 0x84606ccb, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_dev_region, 0x51739bac, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl, 0xd3e486ee, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl_feature, 0x7b4b7181, "_gpl");
SYMBOL_CRC(vfio_pci_core_read, 0xa8faee08, "_gpl");
SYMBOL_CRC(vfio_pci_core_write, 0xb2d47054, "_gpl");
SYMBOL_CRC(vfio_pci_core_mmap, 0x492e627e, "_gpl");
SYMBOL_CRC(vfio_pci_core_request, 0xe54eb132, "_gpl");
SYMBOL_CRC(vfio_pci_core_match, 0x9cced93e, "_gpl");
SYMBOL_CRC(vfio_pci_core_init_dev, 0xb8d04da6, "_gpl");
SYMBOL_CRC(vfio_pci_core_release_dev, 0xa3282185, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_device, 0x4c716dc5, "_gpl");
SYMBOL_CRC(vfio_pci_core_unregister_device, 0x10a6a704, "_gpl");
SYMBOL_CRC(vfio_pci_core_aer_err_detected, 0x8ffa6714, "_gpl");
SYMBOL_CRC(vfio_pci_core_sriov_configure, 0xd4f46b1f, "_gpl");
SYMBOL_CRC(vfio_pci_core_err_handlers, 0xbfa97c31, "_gpl");
SYMBOL_CRC(vfio_pci_core_set_params, 0x4cf699b8, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite8, 0x603520e1, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite16, 0x83c943e7, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite32, 0xb958dfc4, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread8, 0x50a7fcc8, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread16, 0x9872522b, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread32, 0xdf62c0b4, "_gpl");
SYMBOL_CRC(vfio_pci_core_setup_barmap, 0x9d92d971, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd7afba1e, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xdf28d418, "pci_irq_vector" },
	{ 0xf2c53d53, "pci_write_msi_msg" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd27f00d3, "__tracepoint_mmap_lock_released" },
	{ 0x3a792a35, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x29accd10, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x848d372e, "iowrite8" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x594bf15b, "ioport_map" },
	{ 0x797f26fa, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xaa3dac51, "pci_user_write_config_word" },
	{ 0x97d5ff54, "bus_register_notifier" },
	{ 0xe768e0f9, "_dev_info" },
	{ 0x1efa5eb0, "vfio_file_is_group" },
	{ 0xa48014b2, "pci_msix_can_alloc_dyn" },
	{ 0xf4f9494b, "vfio_file_has_dev" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xe2db9bb5, "pci_clear_master" },
	{ 0x18b227a2, "__pci_reset_function_locked" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x69e683de, "uuid_gen" },
	{ 0xabc86b4a, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x418873cc, "irq_bypass_register_producer" },
	{ 0xcd4decee, "pci_write_vpd" },
	{ 0xb5e72212, "vfio_virqfd_enable" },
	{ 0xce0168f2, "vga_client_register" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe2b90c32, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0xcbabe82c, "aperture_remove_conflicting_pci_devices" },
	{ 0x15bfb70c, "vfio_unregister_group_dev" },
	{ 0x62580a2f, "pci_map_rom" },
	{ 0xde80cd09, "ioremap" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd25ebad9, "pci_store_saved_state" },
	{ 0xabb7c7c2, "get_cached_msi_msg" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa85b3ee7, "pci_iounmap" },
	{ 0xaefd5aec, "pci_restore_state" },
	{ 0xb19b445, "ioread8" },
	{ 0xfb578fc5, "memset" },
	{ 0x7341ba2f, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xfc39e32f, "ioport_unmap" },
	{ 0xe82a6292, "pcie_get_mps" },
	{ 0x7e577752, "pci_dev_trylock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x4a2dc7b0, "vga_put" },
	{ 0x6c28be5a, "vfio_info_add_capability" },
	{ 0x5b242552, "pci_dev_driver" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x8d7bac3, "__mmap_lock_do_trace_start_locking" },
	{ 0x9bb04db3, "vfio_find_device_in_devset" },
	{ 0xf6e772c3, "irq_bypass_unregister_producer" },
	{ 0x7655ce26, "_dev_notice" },
	{ 0xda9ca1f7, "pm_runtime_forbid" },
	{ 0x3d43e097, "pm_runtime_allow" },
	{ 0xc063aeb, "pci_reset_bus" },
	{ 0x567eba80, "mmput" },
	{ 0xc5985d19, "__pm_runtime_resume" },
	{ 0xc85ad818, "vfio_register_group_dev" },
	{ 0x91d76366, "vfio_assign_device_set" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x80fc1147, "pci_user_read_config_byte" },
	{ 0x5e099ec3, "pci_try_reset_function" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xc3b9fdb4, "__tracepoint_mmap_lock_start_locking" },
	{ 0x259f632c, "pci_get_class" },
	{ 0x7f1bf387, "pci_user_write_config_dword" },
	{ 0x5123a055, "pcie_capability_read_dword" },
	{ 0x17ba22fe, "__mmap_lock_do_trace_released" },
	{ 0x9c113c72, "pci_load_and_free_saved_state" },
	{ 0x870b6948, "pci_disable_sriov" },
	{ 0x48ee7465, "vfio_device_set_open_count" },
	{ 0xc8ee7bab, "pci_disable_device" },
	{ 0x22c6ca44, "pci_match_id" },
	{ 0xd67eae7c, "boot_cpu_data" },
	{ 0x48d314ce, "pci_check_and_unmask_intx" },
	{ 0x787c8fb7, "pcie_set_readrq" },
	{ 0xe494ed7c, "pci_walk_bus" },
	{ 0x28534f92, "pci_msix_alloc_irq_at" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x5734e1b3, "kmalloc_trace" },
	{ 0x7bb185ad, "vga_get" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xe553debc, "pci_unmap_rom" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x9a197c86, "pci_read_config_byte" },
	{ 0xc5e74216, "release_resource" },
	{ 0x754d539c, "strlen" },
	{ 0x97db9e9d, "vga_set_legacy_decoding" },
	{ 0x3556135d, "pci_dev_unlock" },
	{ 0xc15387e, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0xfe13663e, "pci_free_irq_vectors" },
	{ 0x58d67d25, "pci_enable_sriov" },
	{ 0x53b954a2, "up_read" },
	{ 0xec45de6b, "__pm_runtime_idle" },
	{ 0x99d0fed9, "vfio_virqfd_flush_thread" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd36d91ce, "pci_bus_type" },
	{ 0x68d6cdef, "kmalloc_caches" },
	{ 0x2f935c14, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xec15b7a9, "pci_read_vpd" },
	{ 0xdb163ece, "bus_unregister_notifier" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe7d14744, "pci_request_selected_regions" },
	{ 0x3b120430, "pci_release_selected_regions" },
	{ 0x52215775, "pci_user_write_config_byte" },
	{ 0xd858a413, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x1ce29a66, "pci_bus_max_busnr" },
	{ 0xf0a7f002, "pci_check_and_mask_intx" },
	{ 0x1c1a789b, "pci_iomap" },
	{ 0x19567d06, "vfio_info_cap_shift" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xfb414a04, "pci_alloc_irq_vectors" },
	{ 0xadc044b7, "vfio_set_irqs_validate_and_prepare" },
	{ 0x35416351, "pci_enable_atomic_ops_to_root" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x4d28b44c, "pci_dev_put" },
	{ 0x77653e71, "iommu_group_get" },
	{ 0x842c8e9d, "ioread16" },
	{ 0xfc1b596e, "vfio_virqfd_disable" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2688cb60, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x5f0bb483, "fget" },
	{ 0xedc03953, "iounmap" },
	{ 0xffefa1b8, "pci_num_vf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x962cfd76, "pci_user_read_config_dword" },
	{ 0x93ac3b63, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x9bee675d, "pci_user_read_config_word" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xa557d590, "pci_probe_reset_bus" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x69d525f, "pci_probe_reset_slot" },
	{ 0x197b919b, "zap_vma_ptes" },
	{ 0xcee4128, "pci_set_power_state" },
	{ 0x96e05c49, "module_layout" },
};

MODULE_INFO(depends, "vfio,irqbypass");


MODULE_INFO(srcversion, "2E4D086C793F051F3810265");
