#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa916b694, "strnlen" },
	{ 0x9a2ff8c0, "fscrypt_file_open" },
	{ 0x13298794, "generic_perform_write" },
	{ 0xc3762aec, "mempool_alloc" },
	{ 0x9e28429, "simple_nosetlease" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa8a24c25, "__free_pages" },
	{ 0x3c26ff7b, "kmem_cache_alloc" },
	{ 0x9f984513, "strrchr" },
	{ 0xdba64bbc, "folio_mark_dirty" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x1378aba3, "ceph_pg_pool_name_by_id" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xfd1e42e1, "ceph_osdc_wait_request" },
	{ 0xbb892242, "inode_init_once" },
	{ 0x6ec30f40, "folio_wait_private_2" },
	{ 0xd0c9d384, "file_write_and_wait_range" },
	{ 0xd79f9f26, "ceph_osdc_new_request" },
	{ 0x5fe71ef7, "compat_ptr_ioctl" },
	{ 0x938ad1b3, "fscrypt_dummy_policies_equal" },
	{ 0x1e930931, "copy_splice_read" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xbd2f79ae, "ceph_oloc_copy" },
	{ 0x51b95702, "__fscache_relinquish_volume" },
	{ 0xccb806fd, "ilookup5" },
	{ 0x53e01af, "seq_escape_mem" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xcc82fd2d, "osd_req_op_copy_from_init" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8204b6cf, "posix_acl_create" },
	{ 0xd1b454da, "release_pages" },
	{ 0x57bc19d2, "down_write" },
	{ 0x7668120c, "fscrypt_ioctl_get_nonce" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x6dcc6c60, "generic_file_read_iter" },
	{ 0x83c7647d, "unlock_page" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x4af3f608, "set_cached_acl" },
	{ 0xada65124, "simple_attr_release" },
	{ 0x8367049f, "ceph_auth_handle_svc_reply_more" },
	{ 0x813db354, "netfs_write_begin" },
	{ 0x2087719e, "ceph_oid_copy" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x3829dcad, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8100735e, "init_uts_ns" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x92b7b4ce, "ceph_pg_pool_flags" },
	{ 0x9479dee, "wait_on_page_writeback" },
	{ 0xeee4b172, "mnt_idmap_put" },
	{ 0xb4e615, "posix_acl_equiv_mode" },
	{ 0xce20ff89, "__fscrypt_prepare_rename" },
	{ 0x48dabd5d, "fscrypt_encrypt_block_inplace" },
	{ 0x9fefa3cb, "ceph_calc_file_object_mapping" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5b3ec784, "file_update_time" },
	{ 0xe3c8be5f, "fscrypt_ioctl_set_policy" },
	{ 0xd1e801be, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd4eb7735, "ceph_decode_entity_addr" },
	{ 0x2b4763cf, "kmem_cache_free" },
	{ 0x375287c6, "debugfs_remove" },
	{ 0x17c17611, "ceph_pg_to_acting_primary" },
	{ 0x5a921311, "strncmp" },
	{ 0xa5f39cd1, "ceph_auth_add_authorizer_challenge" },
	{ 0x418b5d0a, "d_move" },
	{ 0x42427763, "netfs_release_folio" },
	{ 0xed824980, "seq_putc" },
	{ 0x14cde15, "from_kgid" },
	{ 0x37d7f3bb, "ceph_con_send" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x36bc8f1d, "fscrypt_ioctl_remove_key" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x85eb95bc, "__fscrypt_encrypt_symlink" },
	{ 0xfb002278, "ceph_osdc_abort_requests" },
	{ 0xfcbee0dc, "ceph_zero_page_vector_range" },
	{ 0x384743f, "param_set_bool" },
	{ 0x2ebd47a2, "iov_iter_kvec" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xdde4b990, "file_remove_privs" },
	{ 0xde8c8e00, "__fscrypt_prepare_link" },
	{ 0xa74be7a4, "ceph_osdc_start_request" },
	{ 0xa6dbd703, "from_vfsgid" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb7d7d494, "ceph_compare_options" },
	{ 0x4bf669e6, "d_obtain_alias" },
	{ 0xf5b23413, "file_modified" },
	{ 0xd205f2b, "posix_acl_chmod" },
	{ 0x19184659, "copy_page_to_iter" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x8b946636, "ceph_parse_mon_ips" },
	{ 0xbc60af4c, "ceph_client_addr" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xee203c6c, "ceph_msg_dump" },
	{ 0x9fbba67f, "ceph_buffer_new" },
	{ 0x42a053d3, "fscrypt_put_encryption_info" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0xb2b626d8, "fscrypt_fname_encrypted_size" },
	{ 0x16fca7d, "finish_no_open" },
	{ 0x224881ae, "d_obtain_root" },
	{ 0x291a63, "netfs_dirty_folio" },
	{ 0x9301781a, "fscrypt_d_revalidate" },
	{ 0xff6414af, "osd_req_op_extent_init" },
	{ 0x41d0cc00, "ceph_put_page_vector" },
	{ 0x4232eabf, "from_kuid" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xeffeb3fa, "ceph_osdc_alloc_request" },
	{ 0x4996bd29, "fscache_n_updates" },
	{ 0x26225cec, "osd_req_op_init" },
	{ 0x4affd6c2, "ceph_parse_fsid" },
	{ 0xfb578fc5, "memset" },
	{ 0x4a8c99e4, "ceph_osdc_update_epoch_barrier" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xbe3879aa, "ceph_get_snap_context" },
	{ 0xfc8d72b9, "security_inode_invalidate_secctx" },
	{ 0x78d948e6, "osd_req_op_extent_osd_iter" },
	{ 0xa6bc16a5, "iov_iter_bvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0xe34a59f2, "ceph_object_locator_to_pg" },
	{ 0xbcfbe59, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0xd9cc2207, "__ceph_auth_get_authorizer" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xc236a8b9, "d_delete" },
	{ 0x2be14797, "fscrypt_prepare_lookup_partial" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xef08dc95, "simple_attr_read" },
	{ 0xe71fdc95, "end_page_writeback" },
	{ 0xafd4efd8, "fscrypt_fname_encrypt" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x2a983d26, "ceph_pagelist_release" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa56e2176, "osd_req_op_extent_osd_data_pages" },
	{ 0x5173c589, "__fscache_write_to_cache" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x55b0b52, "iov_iter_get_pages_alloc2" },
	{ 0xbb275053, "ceph_osdc_sync" },
	{ 0x5b655aa0, "set_page_dirty" },
	{ 0x86c60819, "copy_page_from_iter" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x745a981, "xa_erase" },
	{ 0x614bf43c, "ceph_destroy_client" },
	{ 0x1af0f878, "seq_read" },
	{ 0x15e4e783, "fscrypt_free_bounce_page" },
	{ 0xe92df59b, "redirty_page_for_writepage" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x74b92a1, "noop_direct_IO" },
	{ 0x47dd423, "__fscrypt_prepare_readdir" },
	{ 0x3905a083, "debugfs_create_file" },
	{ 0x139ca213, "igrab" },
	{ 0xb07bda40, "netfs_read_folio" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3b45f7ac, "__ceph_open_session" },
	{ 0x410ca72c, "set_page_writeback" },
	{ 0x83a1ef55, "d_add" },
	{ 0xe6fa06a2, "rename_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3096be16, "names_cachep" },
	{ 0x614b7808, "param_ops_bool" },
	{ 0x53126ecc, "__percpu_counter_sum" },
	{ 0x202af3c6, "init_user_ns" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x6ac6bff0, "d_find_alias" },
	{ 0x8566cfe1, "fscrypt_ioctl_add_key" },
	{ 0xc0a3faa9, "invalidate_inode_pages2" },
	{ 0xc310b981, "strnstr" },
	{ 0xc3cc5a8b, "fscrypt_fname_disk_to_usr" },
	{ 0x82f3e231, "inode_set_ctime_current" },
	{ 0xe2346929, "bdi_dev_name" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xfc08b7c5, "__folio_put" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0xad2bfc04, "ceph_alloc_page_vector" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe39b2ea5, "sha256" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc1c3e7a3, "fscrypt_ioctl_get_policy" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x896a3294, "set_anon_super_fc" },
	{ 0x56470118, "__warn_printk" },
	{ 0xee4594f0, "seq_printf" },
	{ 0x1d8bb14b, "ceph_monc_do_statfs" },
	{ 0xb2c24bb9, "dput" },
	{ 0x36a8d298, "ceph_monc_validate_auth" },
	{ 0x1530a31b, "iov_iter_zero" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6159501e, "generic_delete_inode" },
	{ 0xbb442cb2, "deactivate_locked_super" },
	{ 0x29afc27a, "__percpu_down_read" },
	{ 0xfbd1255d, "ceph_auth_handle_svc_reply_done" },
	{ 0x417a9131, "ceph_oloc_destroy" },
	{ 0x904127d0, "set_page_dirty_lock" },
	{ 0xec291780, "tag_pages_for_writeback" },
	{ 0xba01fce1, "__fscache_invalidate" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x314bc09f, "posix_acl_update_mode" },
	{ 0xae3759d9, "ceph_auth_handle_bad_authorizer" },
	{ 0xefe068a0, "ceph_monc_renew_subs" },
	{ 0xfa1e9d19, "truncate_inode_pages_range" },
	{ 0x18888d00, "downgrade_write" },
	{ 0xee120c03, "ceph_release_string" },
	{ 0xa598e4bf, "__folio_lock" },
	{ 0x247f5361, "pagecache_get_page" },
	{ 0x96a1e12e, "ceph_msg_put" },
	{ 0x3dcc0a06, "osd_req_op_extent_osd_data_bvecs" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xc947f3dd, "seq_puts" },
	{ 0x57baf885, "ceph_str_hash" },
	{ 0xc8adfce6, "__fscache_use_cookie" },
	{ 0x44ac2b0d, "rcuwait_wake_up" },
	{ 0x186acfb3, "single_release" },
	{ 0x717549c9, "fscrypt_prepare_symlink" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x98c3ef15, "iov_iter_xarray" },
	{ 0x9697024c, "__fs_parse" },
	{ 0xc0a641be, "filemap_splice_read" },
	{ 0x8b2da6a4, "posix_acl_to_xattr" },
	{ 0x6a7a38a0, "ceph_pr_addr" },
	{ 0xb72c162e, "ceph_buffer_release" },
	{ 0xd90680b6, "dget_parent" },
	{ 0x759c71a5, "kill_anon_super" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x5734e1b3, "kmalloc_trace" },
	{ 0x2d876d32, "iget5_locked" },
	{ 0x47709e42, "free_anon_bdev" },
	{ 0x67e02ce4, "security_dentry_init_security" },
	{ 0x80307436, "filemap_write_and_wait_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xc4223f27, "osd_req_op_raw_data_in_pages" },
	{ 0xacd4049f, "fscrypt_prepare_new_inode" },
	{ 0x2f85eb5d, "netfs_subreq_terminated" },
	{ 0x3eb3e4d4, "ceph_con_init" },
	{ 0x847640ac, "generic_write_checks" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xbee0c715, "fscrypt_encrypt_pagecache_blocks" },
	{ 0xfd08edf6, "fscrypt_get_symlink" },
	{ 0x6ac7186a, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0xecd9e52f, "kmem_cache_alloc_lru" },
	{ 0x73f09738, "filemap_fault" },
	{ 0x36ef0e43, "d_invalidate" },
	{ 0x24eeeb41, "debugfs_create_dir" },
	{ 0x7ea29beb, "__mark_inode_dirty" },
	{ 0xfa74abf0, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd4d736db, "ceph_destroy_options" },
	{ 0xff87cd18, "lockref_get_not_dead" },
	{ 0x53b954a2, "up_read" },
	{ 0xa4bff59f, "ceph_osdc_clear_abort_err" },
	{ 0x6f0f2a34, "iov_iter_npages" },
	{ 0xcad2ce7e, "drop_nlink" },
	{ 0x58d1255a, "fscrypt_free_inode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe0246179, "fscrypt_has_permitted_context" },
	{ 0x68d6cdef, "kmalloc_caches" },
	{ 0x605c29c, "fscrypt_symlink_getattr" },
	{ 0xdf6ef4a1, "ceph_oid_printf" },
	{ 0xa3cf2717, "kmem_cache_destroy" },
	{ 0x49d5c1e8, "__fscache_acquire_cookie" },
	{ 0x253c0160, "ceph_con_close" },
	{ 0xafb8a407, "ceph_msgr_flush" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6a5fa363, "sigprocmask" },
	{ 0xb062508e, "forget_cached_acl" },
	{ 0x672b6d9, "osd_req_op_xattr_init" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xd7079f2d, "fscrypt_context_for_new_inode" },
	{ 0x1fde267, "ceph_con_keepalive" },
	{ 0x6d4496c9, "super_setup_bdi_name" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0xc3375ea, "folio_invalidate" },
	{ 0xfc8d390d, "ceph_auth_get_authorizer" },
	{ 0xac6aea2, "__page_file_index" },
	{ 0x9bc6b539, "ceph_find_or_create_string" },
	{ 0xe914e41e, "strcpy" },
	{ 0x97ad11a, "filemap_fdatawrite" },
	{ 0x45e8b450, "mnt_idmap_get" },
	{ 0x8ac6b281, "generic_fillattr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xb75b2eeb, "vfs_fsync_range" },
	{ 0x3f4a7ad5, "setattr_prepare" },
	{ 0x60604d96, "ceph_print_client_options" },
	{ 0xd1830af4, "simple_attr_write" },
	{ 0xcb8ecd12, "file_check_and_advance_wb_err" },
	{ 0x350a0960, "ceph_msg_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x973aa32c, "filemap_get_folios_tag" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xdfc091f9, "ceph_entity_type_name" },
	{ 0x6c5ba50f, "d_instantiate" },
	{ 0x8bdc618f, "_copy_to_iter" },
	{ 0x788c23d0, "simple_attr_open" },
	{ 0x9ca95932, "ceph_create_snap_context" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1dd2c4d3, "clear_inode" },
	{ 0xcfeb610b, "ceph_create_client" },
	{ 0xbe50713d, "__fscache_acquire_volume" },
	{ 0x1fb378fd, "vfs_inode_has_locks" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xd24d5aa, "osd_req_op_extent_osd_data" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0xb14d80fb, "discard_new_inode" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xeed48dcc, "fs_param_is_string" },
	{ 0x65200df9, "__folio_batch_release" },
	{ 0x176792b4, "folio_unlock" },
	{ 0xf1dd0401, "__fscache_resize_cookie" },
	{ 0x690fd856, "fscrypt_ioctl_remove_key_all_users" },
	{ 0xe18b1d5c, "fscrypt_parse_test_dummy_encryption" },
	{ 0xf6af1c89, "inode_insert5" },
	{ 0x7b4079fc, "ceph_monc_want_map" },
	{ 0xa26dd0a9, "new_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9ca8300d, "netfs_unpin_writeback" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xeb5ed12d, "ceph_con_open" },
	{ 0xa5a803d3, "forget_all_cached_acls" },
	{ 0x62fa02b, "init_special_inode" },
	{ 0x9f0bf9ac, "unregister_filesystem" },
	{ 0xe1f3d7b3, "__fscrypt_prepare_setattr" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xc2fdcaee, "param_get_bool" },
	{ 0xe76e7226, "ceph_pagelist_alloc" },
	{ 0x2577c901, "debugfs_create_symlink" },
	{ 0xca9360b5, "rb_next" },
	{ 0x747ac360, "ceph_osdc_put_request" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x6c31c5fa, "generic_error_remove_folio" },
	{ 0x2c5f57ab, "inode_set_flags" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xad703657, "ceph_auth_destroy_authorizer" },
	{ 0x4d1b24e5, "iov_iter_advance" },
	{ 0x1a45347f, "fscrypt_ioctl_get_key_status" },
	{ 0x48c1b22f, "d_make_root" },
	{ 0x1b34dee5, "d_same_name" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x745bdaf2, "fscrypt_decrypt_block_inplace" },
	{ 0x99d3928e, "read_cache_folio" },
	{ 0x1bd8fcdf, "invalidate_mapping_pages" },
	{ 0xdbe1b7a5, "sync_filesystem" },
	{ 0x872ba85f, "__fscache_unuse_cookie" },
	{ 0x86fca7e4, "ceph_put_snap_context" },
	{ 0x2197d975, "ceph_parse_param" },
	{ 0x6ec3c9f7, "ceph_client_gid" },
	{ 0xd07f543, "get_anon_bdev" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x9a7e81d5, "sget_fc" },
	{ 0xa58ed5c1, "d_splice_alias" },
	{ 0xeda1570a, "iov_iter_get_pages2" },
	{ 0x286b7b38, "current_time" },
	{ 0x93161003, "osd_req_op_extent_update" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b26351b, "from_vfsuid" },
	{ 0x7c2bf36d, "ihold" },
	{ 0x99b2b59c, "d_find_any_alias" },
	{ 0x14d7b831, "inode_dio_wait" },
	{ 0x8bda4063, "generic_permission" },
	{ 0xc170c8b0, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xe4281290, "invalidate_inode_pages2_range" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x962020c0, "posix_lock_file" },
	{ 0xaedd4c69, "finish_open" },
	{ 0x7b7d42c8, "iput" },
	{ 0x1f014d4c, "pcpu_hot" },
	{ 0xf418d581, "seq_lseek" },
	{ 0xc9f8faac, "fs_param_is_enum" },
	{ 0x5df30b3a, "fs_param_is_s32" },
	{ 0xd484f1cc, "wrap_directory_iterator" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x149cabb7, "logfc" },
	{ 0xf423372b, "__put_devmap_managed_page_refs" },
	{ 0x94b50bb2, "ceph_monc_blocklist_add" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0xbdbb58e6, "fscrypt_show_test_dummy_encryption" },
	{ 0xbbe3687e, "iter_file_splice_write" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x91d42cfa, "d_lookup" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x148653, "vsnprintf" },
	{ 0xb426fc49, "__fscache_relinquish_cookie" },
	{ 0xadaef5fa, "ceph_msg_new" },
	{ 0x8177fd76, "register_filesystem" },
	{ 0xf3fc9226, "kmem_cache_create" },
	{ 0xae74a471, "ceph_auth_invalidate_authorizer" },
	{ 0x85a69ecb, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x5271aa3c, "fscrypt_ioctl_get_policy_ex" },
	{ 0xeff34b5e, "ceph_monc_got_map" },
	{ 0xfbf5ed17, "osd_req_op_extent_dup_last" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x4a9575f9, "ceph_osdc_alloc_messages" },
	{ 0x9e5d3679, "clear_page_dirty_for_io" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xfeff775, "ceph_msg_data_add_pagelist" },
	{ 0xe3bd9b03, "netfs_readahead" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xa9bd6167, "simple_get_link" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb54676fa, "ceph_msg_type_name" },
	{ 0x5b8df6a9, "shrink_dcache_parent" },
	{ 0x8963dccc, "__put_cred" },
	{ 0x869e48ad, "d_prune_aliases" },
	{ 0x18d61b53, "ceph_reset_client_addr" },
	{ 0x976fd0fb, "splice_file_range" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x987d3968, "ceph_alloc_options" },
	{ 0xa93d09b6, "locks_lock_inode_wait" },
	{ 0xa263892b, "fscrypt_fname_free_buffer" },
	{ 0x789854e6, "fs_param_is_u32" },
	{ 0x319fcc0e, "inode_newsize_ok" },
	{ 0xb1b049df, "netfs_invalidate_folio" },
	{ 0xdf4794be, "d_drop" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x13fca71e, "ceph_msg_new2" },
	{ 0x6b2b1839, "unlock_new_inode" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1953c958, "mempool_create" },
	{ 0x7d1763cb, "ceph_release_page_vector" },
	{ 0xf0578680, "posix_acl_from_xattr" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x80e5f86f, "fscrypt_fname_alloc_buffer" },
	{ 0xa8a9f25c, "filemap_alloc_folio" },
	{ 0xda2b630b, "ceph_check_fsid" },
	{ 0x50603ce3, "ceph_decode_entity_addrvec" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xefce3c3b, "ceph_pagelist_reserve" },
	{ 0x92979bf1, "__ceph_alloc_sparse_ext_map" },
	{ 0xefce991c, "ceph_pagelist_append" },
	{ 0x132373, "ceph_auth_verify_authorizer_reply" },
	{ 0x1c4a4472, "make_kuid" },
	{ 0x4fee9c9f, "truncate_inode_pages_final" },
	{ 0x85591175, "d_alloc" },
	{ 0xf5da2258, "__filemap_set_wb_err" },
	{ 0x96e05c49, "module_layout" },
};

MODULE_INFO(depends, "libceph,netfs");


MODULE_INFO(srcversion, "3BA69F393F133B3859C1B99");
