#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cfg80211_shutdown_all_interfaces, "_gpl", "");
KSYMTAB_FUNC(wiphy_new_nm, "", "");
KSYMTAB_FUNC(wiphy_register, "", "");
KSYMTAB_FUNC(wiphy_rfkill_start_polling, "", "");
KSYMTAB_FUNC(wiphy_unregister, "", "");
KSYMTAB_FUNC(wiphy_free, "", "");
KSYMTAB_FUNC(wiphy_rfkill_set_hw_state_reason, "", "");
KSYMTAB_FUNC(cfg80211_unregister_wdev, "", "");
KSYMTAB_FUNC(cfg80211_stop_iface, "", "");
KSYMTAB_FUNC(cfg80211_register_netdevice, "", "");
KSYMTAB_FUNC(wiphy_work_queue, "_gpl", "");
KSYMTAB_FUNC(wiphy_work_cancel, "_gpl", "");
KSYMTAB_FUNC(wiphy_work_flush, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_timer, "", "");
KSYMTAB_FUNC(wiphy_delayed_work_queue, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_cancel, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_flush, "_gpl", "");
KSYMTAB_FUNC(ieee80211_radiotap_iterator_init, "", "");
KSYMTAB_FUNC(ieee80211_radiotap_iterator_next, "", "");
KSYMTAB_FUNC(ieee80211_get_response_rate, "", "");
KSYMTAB_FUNC(ieee80211_mandatory_rates, "", "");
KSYMTAB_FUNC(ieee80211_channel_to_freq_khz, "", "");
KSYMTAB_FUNC(ieee80211_s1g_channel_width, "", "");
KSYMTAB_FUNC(ieee80211_freq_khz_to_channel, "", "");
KSYMTAB_FUNC(ieee80211_get_channel_khz, "", "");
KSYMTAB_FUNC(ieee80211_hdrlen, "", "");
KSYMTAB_FUNC(ieee80211_get_hdrlen_from_skb, "", "");
KSYMTAB_FUNC(ieee80211_get_mesh_hdrlen, "", "");
KSYMTAB_FUNC(ieee80211_get_8023_tunnel_proto, "", "");
KSYMTAB_FUNC(ieee80211_strip_8023_mesh_hdr, "", "");
KSYMTAB_FUNC(ieee80211_data_to_8023_exthdr, "", "");
KSYMTAB_FUNC(ieee80211_is_valid_amsdu, "", "");
KSYMTAB_FUNC(ieee80211_amsdu_to_8023s, "", "");
KSYMTAB_FUNC(cfg80211_classify8021d, "", "");
KSYMTAB_FUNC(ieee80211_bss_get_elem, "", "");
KSYMTAB_FUNC(cfg80211_calculate_bitrate, "", "");
KSYMTAB_FUNC(cfg80211_get_p2p_attr, "", "");
KSYMTAB_FUNC(ieee80211_ie_split_ric, "", "");
KSYMTAB_FUNC(ieee80211_fragment_element, "", "");
KSYMTAB_FUNC(ieee80211_operating_class_to_band, "", "");
KSYMTAB_FUNC(ieee80211_chandef_to_operating_class, "", "");
KSYMTAB_FUNC(cfg80211_iter_combinations, "", "");
KSYMTAB_FUNC(cfg80211_check_combinations, "", "");
KSYMTAB_FUNC(ieee80211_get_num_supported_channels, "", "");
KSYMTAB_FUNC(cfg80211_get_station, "", "");
KSYMTAB_FUNC(cfg80211_free_nan_func, "", "");
KSYMTAB_FUNC(cfg80211_sinfo_alloc_tid_stats, "", "");
KSYMTAB_DATA(rfc1042_header, "", "");
KSYMTAB_DATA(bridge_tunnel_header, "", "");
KSYMTAB_FUNC(cfg80211_send_layer2_update, "", "");
KSYMTAB_FUNC(ieee80211_get_vht_max_nss, "", "");
KSYMTAB_FUNC(cfg80211_iftype_allowed, "", "");
KSYMTAB_FUNC(cfg80211_get_iftype_ext_capa, "", "");
KSYMTAB_FUNC(get_wiphy_regdom, "", "");
KSYMTAB_FUNC(reg_query_regdb_wmm, "", "");
KSYMTAB_FUNC(freq_reg_info, "", "");
KSYMTAB_FUNC(reg_initiator_name, "", "");
KSYMTAB_FUNC(wiphy_apply_custom_regulatory, "", "");
KSYMTAB_FUNC(regulatory_hint, "", "");
KSYMTAB_FUNC(regulatory_set_wiphy_regd, "", "");
KSYMTAB_FUNC(regulatory_set_wiphy_regd_sync, "", "");
KSYMTAB_FUNC(regulatory_pre_cac_allowed, "", "");
KSYMTAB_FUNC(cfg80211_is_element_inherited, "", "");
KSYMTAB_FUNC(cfg80211_scan_done, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_results, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_stopped_locked, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_stopped, "", "");
KSYMTAB_FUNC(cfg80211_bss_flush, "", "");
KSYMTAB_FUNC(cfg80211_find_elem_match, "", "");
KSYMTAB_FUNC(cfg80211_find_vendor_elem, "", "");
KSYMTAB_FUNC(__cfg80211_get_bss, "", "");
KSYMTAB_FUNC(cfg80211_get_ies_channel_number, "", "");
KSYMTAB_FUNC(cfg80211_merge_profile, "", "");
KSYMTAB_FUNC(cfg80211_defragment_element, "", "");
KSYMTAB_FUNC(cfg80211_inform_bss_data, "", "");
KSYMTAB_FUNC(cfg80211_inform_bss_frame_data, "", "");
KSYMTAB_FUNC(cfg80211_ref_bss, "", "");
KSYMTAB_FUNC(cfg80211_put_bss, "", "");
KSYMTAB_FUNC(cfg80211_unlink_bss, "", "");
KSYMTAB_FUNC(cfg80211_bss_iter, "", "");
KSYMTAB_FUNC(cfg80211_wext_siwscan, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwscan, "_gpl", "");
KSYMTAB_FUNC(nl80211_send_chandef, "", "");
KSYMTAB_FUNC(cfg80211_check_station_change, "", "");
KSYMTAB_FUNC(__cfg80211_alloc_event_skb, "", "");
KSYMTAB_FUNC(__cfg80211_send_event_skb, "", "");
KSYMTAB_FUNC(cfg80211_nan_match, "", "");
KSYMTAB_FUNC(cfg80211_nan_func_terminated, "", "");
KSYMTAB_FUNC(__cfg80211_alloc_reply_skb, "", "");
KSYMTAB_FUNC(cfg80211_vendor_cmd_reply, "_gpl", "");
KSYMTAB_FUNC(cfg80211_vendor_cmd_get_sender, "_gpl", "");
KSYMTAB_FUNC(cfg80211_rx_unprot_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_links_removed, "", "");
KSYMTAB_FUNC(cfg80211_notify_new_peer_candidate, "", "");
KSYMTAB_FUNC(cfg80211_assoc_comeback, "", "");
KSYMTAB_FUNC(cfg80211_ready_on_channel, "", "");
KSYMTAB_FUNC(cfg80211_remain_on_channel_expired, "", "");
KSYMTAB_FUNC(cfg80211_tx_mgmt_expired, "", "");
KSYMTAB_FUNC(cfg80211_new_sta, "", "");
KSYMTAB_FUNC(cfg80211_del_sta_sinfo, "", "");
KSYMTAB_FUNC(cfg80211_conn_failed, "", "");
KSYMTAB_FUNC(cfg80211_rx_spurious_frame, "", "");
KSYMTAB_FUNC(cfg80211_rx_unexpected_4addr_frame, "", "");
KSYMTAB_FUNC(cfg80211_control_port_tx_status, "", "");
KSYMTAB_FUNC(cfg80211_mgmt_tx_status_ext, "", "");
KSYMTAB_FUNC(cfg80211_rx_control_port, "", "");
KSYMTAB_FUNC(cfg80211_cqm_rssi_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_txe_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_pktloss_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_beacon_loss_notify, "", "");
KSYMTAB_FUNC(cfg80211_gtk_rekey_notify, "", "");
KSYMTAB_FUNC(cfg80211_pmksa_candidate_notify, "", "");
KSYMTAB_FUNC(cfg80211_ch_switch_notify, "", "");
KSYMTAB_FUNC(cfg80211_ch_switch_started_notify, "", "");
KSYMTAB_FUNC(cfg80211_bss_color_notify, "", "");
KSYMTAB_FUNC(cfg80211_sta_opmode_change_notify, "", "");
KSYMTAB_FUNC(cfg80211_probe_status, "", "");
KSYMTAB_FUNC(cfg80211_report_obss_beacon_khz, "", "");
KSYMTAB_FUNC(cfg80211_report_wowlan_wakeup, "", "");
KSYMTAB_FUNC(cfg80211_tdls_oper_request, "", "");
KSYMTAB_FUNC(cfg80211_ft_event, "", "");
KSYMTAB_FUNC(cfg80211_crit_proto_stopped, "", "");
KSYMTAB_FUNC(cfg80211_external_auth_request, "", "");
KSYMTAB_FUNC(cfg80211_update_owe_info_event, "", "");
KSYMTAB_FUNC(cfg80211_schedule_channels_check, "", "");
KSYMTAB_FUNC(cfg80211_rx_assoc_resp, "", "");
KSYMTAB_FUNC(cfg80211_rx_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_auth_timeout, "", "");
KSYMTAB_FUNC(cfg80211_assoc_failure, "", "");
KSYMTAB_FUNC(cfg80211_tx_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_michael_mic_failure, "", "");
KSYMTAB_FUNC(cfg80211_rx_mgmt_ext, "", "");
KSYMTAB_FUNC(__cfg80211_radar_event, "", "");
KSYMTAB_FUNC(cfg80211_cac_event, "", "");
KSYMTAB_FUNC(cfg80211_background_cac_abort, "", "");
KSYMTAB_FUNC(cfg80211_ibss_joined, "", "");
KSYMTAB_FUNC(cfg80211_connect_done, "", "");
KSYMTAB_FUNC(cfg80211_roamed, "", "");
KSYMTAB_FUNC(cfg80211_port_authorized, "", "");
KSYMTAB_FUNC(cfg80211_disconnected, "", "");
KSYMTAB_FUNC(cfg80211_chandef_create, "", "");
KSYMTAB_FUNC(nl80211_chan_width_to_mhz, "", "");
KSYMTAB_FUNC(cfg80211_chandef_valid, "", "");
KSYMTAB_FUNC(cfg80211_chandef_compatible, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_required, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_usable, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_cac_time, "", "");
KSYMTAB_FUNC(cfg80211_chandef_usable, "", "");
KSYMTAB_FUNC(cfg80211_reg_can_beacon, "", "");
KSYMTAB_FUNC(cfg80211_reg_can_beacon_relax, "", "");
KSYMTAB_FUNC(cfg80211_any_usable_channels, "", "");
KSYMTAB_FUNC(wdev_chandef, "", "");
KSYMTAB_FUNC(cfg80211_valid_disable_subchannel_bitmap, "", "");
KSYMTAB_FUNC(cfg80211_get_drvinfo, "", "");
KSYMTAB_FUNC(cfg80211_pmsr_complete, "_gpl", "");
KSYMTAB_FUNC(cfg80211_pmsr_report, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwname, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_siwmode, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwmode, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwrange, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_siwrts, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwrts, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_siwfrag, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwfrag, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwretry, "_gpl", "");

SYMBOL_CRC(cfg80211_shutdown_all_interfaces, 0xfdb5e73a, "_gpl");
SYMBOL_CRC(wiphy_new_nm, 0x15bfd691, "");
SYMBOL_CRC(wiphy_register, 0x3e8f4cdf, "");
SYMBOL_CRC(wiphy_rfkill_start_polling, 0x6a51c58d, "");
SYMBOL_CRC(wiphy_unregister, 0x3fe643f0, "");
SYMBOL_CRC(wiphy_free, 0xd2745278, "");
SYMBOL_CRC(wiphy_rfkill_set_hw_state_reason, 0xa38124a9, "");
SYMBOL_CRC(cfg80211_unregister_wdev, 0x8dbb5927, "");
SYMBOL_CRC(cfg80211_stop_iface, 0x5c01860d, "");
SYMBOL_CRC(cfg80211_register_netdevice, 0xa5d82816, "");
SYMBOL_CRC(wiphy_work_queue, 0x612c34bb, "_gpl");
SYMBOL_CRC(wiphy_work_cancel, 0xf8357245, "_gpl");
SYMBOL_CRC(wiphy_work_flush, 0x470f81bc, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_timer, 0x85de3f6f, "");
SYMBOL_CRC(wiphy_delayed_work_queue, 0xc44072f4, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_cancel, 0x06f5c68a, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_flush, 0x7ef79a81, "_gpl");
SYMBOL_CRC(ieee80211_radiotap_iterator_init, 0x43afadee, "");
SYMBOL_CRC(ieee80211_radiotap_iterator_next, 0x7acb86ed, "");
SYMBOL_CRC(ieee80211_get_response_rate, 0x6aac3bef, "");
SYMBOL_CRC(ieee80211_mandatory_rates, 0x272d6876, "");
SYMBOL_CRC(ieee80211_channel_to_freq_khz, 0x5584448a, "");
SYMBOL_CRC(ieee80211_s1g_channel_width, 0x1bb59029, "");
SYMBOL_CRC(ieee80211_freq_khz_to_channel, 0x6bedf402, "");
SYMBOL_CRC(ieee80211_get_channel_khz, 0x74ef5419, "");
SYMBOL_CRC(ieee80211_hdrlen, 0x7ef39823, "");
SYMBOL_CRC(ieee80211_get_hdrlen_from_skb, 0xc6b00595, "");
SYMBOL_CRC(ieee80211_get_mesh_hdrlen, 0xd56d55f3, "");
SYMBOL_CRC(ieee80211_get_8023_tunnel_proto, 0x13c58e52, "");
SYMBOL_CRC(ieee80211_strip_8023_mesh_hdr, 0x80582329, "");
SYMBOL_CRC(ieee80211_data_to_8023_exthdr, 0xba85b47c, "");
SYMBOL_CRC(ieee80211_is_valid_amsdu, 0x52ce28da, "");
SYMBOL_CRC(ieee80211_amsdu_to_8023s, 0x2d165e83, "");
SYMBOL_CRC(cfg80211_classify8021d, 0x766e86e8, "");
SYMBOL_CRC(ieee80211_bss_get_elem, 0x5cba2be4, "");
SYMBOL_CRC(cfg80211_calculate_bitrate, 0x3c744e95, "");
SYMBOL_CRC(cfg80211_get_p2p_attr, 0xf5596d89, "");
SYMBOL_CRC(ieee80211_ie_split_ric, 0x275269b3, "");
SYMBOL_CRC(ieee80211_fragment_element, 0xa7705df4, "");
SYMBOL_CRC(ieee80211_operating_class_to_band, 0xf40bc2f5, "");
SYMBOL_CRC(ieee80211_chandef_to_operating_class, 0xfbedff0e, "");
SYMBOL_CRC(cfg80211_iter_combinations, 0x105d5376, "");
SYMBOL_CRC(cfg80211_check_combinations, 0xcb7bac43, "");
SYMBOL_CRC(ieee80211_get_num_supported_channels, 0xa1980dc4, "");
SYMBOL_CRC(cfg80211_get_station, 0xda1b3752, "");
SYMBOL_CRC(cfg80211_free_nan_func, 0x8fa02936, "");
SYMBOL_CRC(cfg80211_sinfo_alloc_tid_stats, 0x3c86019a, "");
SYMBOL_CRC(rfc1042_header, 0x69b18f43, "");
SYMBOL_CRC(bridge_tunnel_header, 0x1879fcbd, "");
SYMBOL_CRC(cfg80211_send_layer2_update, 0x2ac09667, "");
SYMBOL_CRC(ieee80211_get_vht_max_nss, 0x7c3ac925, "");
SYMBOL_CRC(cfg80211_iftype_allowed, 0x061e97e6, "");
SYMBOL_CRC(cfg80211_get_iftype_ext_capa, 0xe16dfcc7, "");
SYMBOL_CRC(get_wiphy_regdom, 0x7c5b5b1c, "");
SYMBOL_CRC(reg_query_regdb_wmm, 0x8f495c47, "");
SYMBOL_CRC(freq_reg_info, 0xc7bd400d, "");
SYMBOL_CRC(reg_initiator_name, 0xdba126c1, "");
SYMBOL_CRC(wiphy_apply_custom_regulatory, 0xe63cbe52, "");
SYMBOL_CRC(regulatory_hint, 0xd08be79c, "");
SYMBOL_CRC(regulatory_set_wiphy_regd, 0xf8d3ee1c, "");
SYMBOL_CRC(regulatory_set_wiphy_regd_sync, 0x460cc6f3, "");
SYMBOL_CRC(regulatory_pre_cac_allowed, 0x775db6a4, "");
SYMBOL_CRC(cfg80211_is_element_inherited, 0xcc1a7c48, "");
SYMBOL_CRC(cfg80211_scan_done, 0x467bb86f, "");
SYMBOL_CRC(cfg80211_sched_scan_results, 0xd68c67b6, "");
SYMBOL_CRC(cfg80211_sched_scan_stopped_locked, 0x1c002b42, "");
SYMBOL_CRC(cfg80211_sched_scan_stopped, 0xecd8287b, "");
SYMBOL_CRC(cfg80211_bss_flush, 0x135669e3, "");
SYMBOL_CRC(cfg80211_find_elem_match, 0x9d6cba30, "");
SYMBOL_CRC(cfg80211_find_vendor_elem, 0x79b82a71, "");
SYMBOL_CRC(__cfg80211_get_bss, 0xad44df07, "");
SYMBOL_CRC(cfg80211_get_ies_channel_number, 0x3aca71a1, "");
SYMBOL_CRC(cfg80211_merge_profile, 0x117aca91, "");
SYMBOL_CRC(cfg80211_defragment_element, 0xd6c87a05, "");
SYMBOL_CRC(cfg80211_inform_bss_data, 0x13340437, "");
SYMBOL_CRC(cfg80211_inform_bss_frame_data, 0xa8c39794, "");
SYMBOL_CRC(cfg80211_ref_bss, 0x7e2756d9, "");
SYMBOL_CRC(cfg80211_put_bss, 0x02862026, "");
SYMBOL_CRC(cfg80211_unlink_bss, 0x778b0670, "");
SYMBOL_CRC(cfg80211_bss_iter, 0xd3a316de, "");
SYMBOL_CRC(cfg80211_wext_siwscan, 0x15014e21, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwscan, 0x0a780bb6, "_gpl");
SYMBOL_CRC(nl80211_send_chandef, 0x10443b0b, "");
SYMBOL_CRC(cfg80211_check_station_change, 0x1f36039b, "");
SYMBOL_CRC(__cfg80211_alloc_event_skb, 0xdbbd9441, "");
SYMBOL_CRC(__cfg80211_send_event_skb, 0x816326bc, "");
SYMBOL_CRC(cfg80211_nan_match, 0xc0f4be6d, "");
SYMBOL_CRC(cfg80211_nan_func_terminated, 0xd7be305f, "");
SYMBOL_CRC(__cfg80211_alloc_reply_skb, 0xffa72944, "");
SYMBOL_CRC(cfg80211_vendor_cmd_reply, 0xfdb0ca2b, "_gpl");
SYMBOL_CRC(cfg80211_vendor_cmd_get_sender, 0xc4961597, "_gpl");
SYMBOL_CRC(cfg80211_rx_unprot_mlme_mgmt, 0x9ded0acc, "");
SYMBOL_CRC(cfg80211_links_removed, 0x41eff7b0, "");
SYMBOL_CRC(cfg80211_notify_new_peer_candidate, 0x13d0a4e8, "");
SYMBOL_CRC(cfg80211_assoc_comeback, 0xf496eed9, "");
SYMBOL_CRC(cfg80211_ready_on_channel, 0xb3eec7c1, "");
SYMBOL_CRC(cfg80211_remain_on_channel_expired, 0xa39d3196, "");
SYMBOL_CRC(cfg80211_tx_mgmt_expired, 0x9ecb297f, "");
SYMBOL_CRC(cfg80211_new_sta, 0x3679dad8, "");
SYMBOL_CRC(cfg80211_del_sta_sinfo, 0xc7a0f19f, "");
SYMBOL_CRC(cfg80211_conn_failed, 0xfd9d526b, "");
SYMBOL_CRC(cfg80211_rx_spurious_frame, 0x4322e6a0, "");
SYMBOL_CRC(cfg80211_rx_unexpected_4addr_frame, 0x0e3d4c1f, "");
SYMBOL_CRC(cfg80211_control_port_tx_status, 0x63985897, "");
SYMBOL_CRC(cfg80211_mgmt_tx_status_ext, 0xe6681b89, "");
SYMBOL_CRC(cfg80211_rx_control_port, 0xd8732e1a, "");
SYMBOL_CRC(cfg80211_cqm_rssi_notify, 0xea4fd72a, "");
SYMBOL_CRC(cfg80211_cqm_txe_notify, 0xa97383ec, "");
SYMBOL_CRC(cfg80211_cqm_pktloss_notify, 0xb13e82ac, "");
SYMBOL_CRC(cfg80211_cqm_beacon_loss_notify, 0xe1e52609, "");
SYMBOL_CRC(cfg80211_gtk_rekey_notify, 0x7487929d, "");
SYMBOL_CRC(cfg80211_pmksa_candidate_notify, 0x84f73873, "");
SYMBOL_CRC(cfg80211_ch_switch_notify, 0xcb1baf57, "");
SYMBOL_CRC(cfg80211_ch_switch_started_notify, 0x932e9989, "");
SYMBOL_CRC(cfg80211_bss_color_notify, 0x507ff85b, "");
SYMBOL_CRC(cfg80211_sta_opmode_change_notify, 0x358d6f58, "");
SYMBOL_CRC(cfg80211_probe_status, 0x5e9b1d2f, "");
SYMBOL_CRC(cfg80211_report_obss_beacon_khz, 0xcfcf94d1, "");
SYMBOL_CRC(cfg80211_report_wowlan_wakeup, 0x59dc1336, "");
SYMBOL_CRC(cfg80211_tdls_oper_request, 0xd1afcda3, "");
SYMBOL_CRC(cfg80211_ft_event, 0xbd0fa28b, "");
SYMBOL_CRC(cfg80211_crit_proto_stopped, 0xe3879175, "");
SYMBOL_CRC(cfg80211_external_auth_request, 0x3ca953a0, "");
SYMBOL_CRC(cfg80211_update_owe_info_event, 0x599ecb85, "");
SYMBOL_CRC(cfg80211_schedule_channels_check, 0x47e8904d, "");
SYMBOL_CRC(cfg80211_rx_assoc_resp, 0x9b143355, "");
SYMBOL_CRC(cfg80211_rx_mlme_mgmt, 0x0cd3a4bf, "");
SYMBOL_CRC(cfg80211_auth_timeout, 0xcce1aadf, "");
SYMBOL_CRC(cfg80211_assoc_failure, 0x545273ac, "");
SYMBOL_CRC(cfg80211_tx_mlme_mgmt, 0x006e4d47, "");
SYMBOL_CRC(cfg80211_michael_mic_failure, 0x076b1d12, "");
SYMBOL_CRC(cfg80211_rx_mgmt_ext, 0xd7ffa0f0, "");
SYMBOL_CRC(__cfg80211_radar_event, 0x0b7b1c59, "");
SYMBOL_CRC(cfg80211_cac_event, 0xb3267584, "");
SYMBOL_CRC(cfg80211_background_cac_abort, 0x2d60a456, "");
SYMBOL_CRC(cfg80211_ibss_joined, 0xa0c61b1c, "");
SYMBOL_CRC(cfg80211_connect_done, 0x0c346027, "");
SYMBOL_CRC(cfg80211_roamed, 0x35fe3cef, "");
SYMBOL_CRC(cfg80211_port_authorized, 0xf03abcb9, "");
SYMBOL_CRC(cfg80211_disconnected, 0xb3957a1f, "");
SYMBOL_CRC(cfg80211_chandef_create, 0x46ae4ebf, "");
SYMBOL_CRC(nl80211_chan_width_to_mhz, 0x2c19c3c0, "");
SYMBOL_CRC(cfg80211_chandef_valid, 0x731c2423, "");
SYMBOL_CRC(cfg80211_chandef_compatible, 0xa6147877, "");
SYMBOL_CRC(cfg80211_chandef_dfs_required, 0xa5970ac3, "");
SYMBOL_CRC(cfg80211_chandef_dfs_usable, 0xc9857256, "");
SYMBOL_CRC(cfg80211_chandef_dfs_cac_time, 0x95ff6016, "");
SYMBOL_CRC(cfg80211_chandef_usable, 0xac1dd9ef, "");
SYMBOL_CRC(cfg80211_reg_can_beacon, 0xd2b2ede6, "");
SYMBOL_CRC(cfg80211_reg_can_beacon_relax, 0x6453f217, "");
SYMBOL_CRC(cfg80211_any_usable_channels, 0x5bb636f0, "");
SYMBOL_CRC(wdev_chandef, 0x86cd8637, "");
SYMBOL_CRC(cfg80211_valid_disable_subchannel_bitmap, 0x0faecde5, "");
SYMBOL_CRC(cfg80211_get_drvinfo, 0x01f7496b, "");
SYMBOL_CRC(cfg80211_pmsr_complete, 0xc88acbbd, "_gpl");
SYMBOL_CRC(cfg80211_pmsr_report, 0xfc0a9227, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwname, 0xf61f9ae9, "_gpl");
SYMBOL_CRC(cfg80211_wext_siwmode, 0x5db09bbc, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwmode, 0xa8812284, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwrange, 0x22abeaf7, "_gpl");
SYMBOL_CRC(cfg80211_wext_siwrts, 0x1c9a81ad, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwrts, 0x22e7eefa, "_gpl");
SYMBOL_CRC(cfg80211_wext_siwfrag, 0xa51ae5b8, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwfrag, 0x502b5c80, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwretry, 0x023b68e0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcdce87c, "rfkill_set_hw_state_reason" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xd276a7a7, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe457c340, "__pskb_pull_tail" },
	{ 0xef30d7e9, "netif_rx" },
	{ 0x82e2415e, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa09b3144, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb8f86588, "bpf_trace_run3" },
	{ 0xc8de1b51, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x6ed437f1, "get_net_ns_by_pid" },
	{ 0xdde38c60, "debugfs_rename" },
	{ 0xdd64e639, "strscpy" },
	{ 0x23c5bb3a, "platform_device_register_full" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf654709b, "trace_event_buffer_reserve" },
	{ 0xff282521, "rfkill_register" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x614b7808, "param_ops_bool" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xde5574cf, "x509_load_certificate_list" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb4f117e7, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0x491d7109, "genl_unregister_family" },
	{ 0x5734e1b3, "kmalloc_trace" },
	{ 0xea124bd1, "gcd" },
	{ 0x754d539c, "strlen" },
	{ 0x767d7c7c, "bpf_trace_run7" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x2f7280cf, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x24eeeb41, "debugfs_create_dir" },
	{ 0x76635f2a, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf2928831, "__dev_change_net_namespace" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xdcd2182, "register_pernet_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc225ca70, "get_net_ns_by_fd" },
	{ 0x2a055985, "class_register" },
	{ 0x29827644, "bpf_trace_run11" },
	{ 0x8a490c90, "rfkill_set_sw_state" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x68d6cdef, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x44bec257, "register_netdevice" },
	{ 0xe914e41e, "strcpy" },
	{ 0x8df82a4c, "trace_print_array_seq" },
	{ 0x1aaca7c, "__sock_create" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x26a93eb2, "verify_pkcs7_signature" },
	{ 0x615c8fd4, "bpf_trace_run4" },
	{ 0x37976e3a, "skb_copy_bits" },
	{ 0x4b401817, "iwe_stream_add_value" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x9062085b, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0xbcfa010b, "dev_set_name" },
	{ 0xedae4acb, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x3d1059ea, "__nla_validate" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xca9e776c, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2c420462, "trace_raw_output_prep" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0x88907517, "bpf_trace_run6" },
	{ 0x652a3b7c, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x839ffc33, "request_firmware" },
	{ 0xb83bd323, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0xf04444f1, "device_initialize" },
	{ 0x159a4266, "skb_add_rx_frag" },
	{ 0x93031a58, "genlmsg_put" },
	{ 0x7c6139b, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1f014d4c, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xb1c2f1c4, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xd581b46f, "genlmsg_multicast_allns" },
	{ 0xe2964344, "__wake_up" },
	{ 0x95fe1385, "unregister_netdevice_queue" },
	{ 0x4237e5ea, "bpf_trace_run8" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd3ed3e37, "netlink_broadcast_filtered" },
	{ 0x6acaff5, "keyring_alloc" },
	{ 0xb5b25329, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdb50a57f, "device_rename" },
	{ 0x7e7d0ea1, "trace_event_buffer_commit" },
	{ 0x7f9954ee, "eth_type_trans" },
	{ 0x1e8fac8e, "wireless_nlevent_flush" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa0dfb7b3, "put_device" },
	{ 0x563a0a28, "net_ns_type_operations" },
	{ 0xa916b694, "strnlen" },
	{ 0xcf6f3ab3, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x66aea346, "sysfs_create_link" },
	{ 0xc781bd9f, "rfkill_resume_polling" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x2bb917e9, "inet_csk_get_port" },
	{ 0x93cb12b9, "key_put" },
	{ 0xf9295937, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xc38087cb, "__dev_get_by_index" },
	{ 0x443516af, "perf_trace_run_bpf_submit" },
	{ 0xc54b68c0, "init_net" },
	{ 0xd69e6590, "request_firmware_nowait" },
	{ 0xe0422957, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xdb1654d, "device_add" },
	{ 0xf98449cf, "sysfs_remove_link" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8100735e, "init_uts_ns" },
	{ 0x87c52142, "platform_device_unregister" },
	{ 0x62a6d04f, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x96d956aa, "dev_get_by_index" },
	{ 0xa0fd07, "bpf_trace_run5" },
	{ 0xd5da6893, "kfree_skb_reason" },
	{ 0x812b4451, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x83500a90, "skb_push" },
	{ 0x375287c6, "debugfs_remove" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x66babea1, "wireless_send_event" },
	{ 0xd5a43273, "nla_put" },
	{ 0x5dd105ec, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xcd279169, "nla_find" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5e86cead, "class_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x497dadd7, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x1deb3655, "rfkill_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x46ff169d, "bpf_trace_run1" },
	{ 0x8758ecb2, "device_del" },
	{ 0x96e05c49, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "ADE5C70FA554B40CA264877");
